var _excluded = ["children"],
  _excluded2 = ["children", "forceMount"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { forwardRef } from 'react';
import { styled } from "../../../theme";
import { Icon } from "../../../icons";
import * as AccordionPrimitive from '@radix-ui/react-accordion';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StyledRoot = styled(AccordionPrimitive.Root, {
  width: '100%',
  backgroundColor: '$white'
});
var StyledItem = styled(AccordionPrimitive.Item, {
  borderTop: 'solid',
  borderWidth: '$thin',
  borderColor: '$gray30',
  '&:first-of-type': {
    borderTop: 0
  }
});
var StyledHeader = styled(AccordionPrimitive.Header, {
  all: 'unset',
  display: 'flex'
});
var StyledTrigger = styled(AccordionPrimitive.Trigger, {
  all: 'unset',
  fontFamily: '$main',
  fontSize: '$400',
  backgroundColor: '$white',
  padding: '$400 0',
  flex: 1,
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'space-between',
  lineHeight: '$tight',
  color: '$gray50',
  cursor: 'pointer',
  userSelect: 'none',
  '&[data-state="open"]': {
    fontWeight: '$medium'
  },
  '&:hover': {
    color: '$green60'
  },
  position: 'relative',
  '&:focus-visible::after': {
    content: '',
    display: 'block',
    position: 'absolute',
    zIndex: '$100',
    left: 0,
    right: 0,
    margin: '-$300',
    padding: '$400 0',
    boxShadow: '$green40',
    borderStyle: 'solid',
    borderColor: '$green60',
    borderWidth: '$medium',
    borderRadius: '$pill'
  }
});
var StyledContent = styled(AccordionPrimitive.Content, {
  overflow: 'hidden',
  backgroundColor: '$white',
  '&[data-state="closed"]': {
    display: 'none'
  }
});
var StyledContainer = styled('div', {
  paddingBottom: '$400',
  overflow: 'hidden'
});
var StyledIcon = styled(Icon, {
  '@prefersMotion': {
    transition: 'transform 300ms cubic-bezier(0.87, 0, 0.13, 1)'
  },
  '[data-state=open] &': {
    transform: 'rotate(180deg)'
  }
});
var AccordionTrigger = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx(StyledHeader, {
    children: /*#__PURE__*/_jsxs(StyledTrigger, _extends({}, props, {
      ref: forwardedRef,
      children: [children, /*#__PURE__*/_jsx(StyledIcon, {
        label: "chevron-down",
        size: "600",
        "aria-hidden": true
      })]
    }))
  });
});
AccordionTrigger.displayName = 'AccordionTrigger';
var AccordionContent = /*#__PURE__*/forwardRef(function (_ref2, forwardedRef) {
  var children = _ref2.children,
    forceMount = _ref2.forceMount,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  return /*#__PURE__*/_jsx(StyledContent, _extends({}, props, {
    forceMount: forceMount,
    asChild: true,
    ref: forwardedRef,
    children: /*#__PURE__*/_jsx(StyledContainer, {
      children: children
    })
  }));
});
AccordionContent.displayName = 'AccordionContent';
export var Accordion = {
  Root: StyledRoot,
  Item: StyledItem,
  Trigger: AccordionTrigger,
  Content: AccordionContent
};