var _excluded = ["children", "loading", "icon", "loadingMessage", "as", "disabled"];
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
function _objectDestructuringEmpty(t) { if (null == t) throw new TypeError("Cannot destructure " + t); }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { Icon as IconComponent } from "../../../icons";
import { styled } from "../../../theme";

/**
 * These typings were inspired by this repository
 * @see https://github.com/kripod/react-polymorphic-box
 *
 * They solve the polymorphism problem in Stitches
 * @see https://github.com/modulz/stitches/issues/307#issuecomment-779926558
 */
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StyledButton = styled('button', {
  $$innerBorderSize: '0.1875rem',
  defaultVariants: {
    size: 'medium',
    variant: 'contained',
    color: 'primary'
  },
  display: 'inline-flex',
  alignItems: 'center',
  justifyContent: 'center',
  gap: '$200',
  background: 'none',
  fontFamily: '$main',
  textTransform: 'uppercase',
  lineHeight: '$tight',
  fontWeight: '$medium',
  borderRadius: '$200',
  cursor: 'pointer',
  userSelect: 'none',
  borderWidth: '$thin',
  borderStyle: 'solid',
  '&:disabled': {
    pointerEvents: 'none'
  },
  '@prefersMotion': {
    transition: 'all 250ms ease'
  },
  outline: '$$innerBorderSize solid transparent',
  outlineOffset: '-$$innerBorderSize',
  textDecoration: 'none',
  variants: {
    loading: {
      "true": {
        pointerEvents: 'none'
      }
    },
    fullWidth: {
      "true": {
        width: '100%'
      },
      "false": {
        width: 'auto'
      }
    },
    size: {
      large: {
        padding: '$500 $1200'
      },
      medium: {
        padding: '$400 $1000'
      },
      small: {
        padding: '$300 $400'
      }
    },
    variant: {
      contained: {
        '&:disabled:not(.loading)': {
          background: '$gray40',
          borderColor: '$gray40'
        }
      },
      outlined: {
        '&:disabled:not(.loading)': {
          color: '$gray40',
          background: 'transparent',
          borderColor: '$gray40'
        }
      }
    },
    color: {
      primary: {
        '&:focus-visible': {
          outlineColor: '$green30',
          boxShadow: '$green40'
        }
      },
      danger: {
        '&:focus-visible': {
          outlineColor: '$red60',
          boxShadow: '$red40'
        }
      }
    }
  },
  compoundVariants: [{
    variant: 'contained',
    color: 'primary',
    css: {
      background: '$green60',
      color: '$white',
      borderColor: '$green60',
      '@hoverBased': {
        '&:hover': {
          background: '$green40',
          borderColor: '$green40'
        }
      }
    }
  }, {
    variant: 'outlined',
    color: 'primary',
    css: {
      background: 'transparent',
      color: '$green60',
      borderColor: '$green60',
      '@hoverBased': {
        '&:hover': {
          background: '$green60',
          color: '$white'
        }
      }
    }
  }, {
    variant: 'contained',
    color: 'danger',
    css: {
      background: '$red40',
      color: '$white',
      borderColor: '$red40',
      '@hoverBased': {
        '&:hover': {
          background: '$red60',
          borderColor: '$red60'
        }
      }
    }
  }, {
    variant: 'outlined',
    color: 'danger',
    css: {
      background: 'transparent',
      color: '$red40',
      borderColor: '$red40',
      '@hoverBased': {
        '&:hover': {
          background: '$red40',
          color: '$white'
        }
      }
    }
  }]
});
var IconWrapper = styled('span', {
  $$size: '$space$600',
  display: 'inline-block',
  position: 'relative',
  width: '$$size',
  height: 0
});
var StyledIcon = styled(IconComponent, {
  position: 'absolute',
  inset: 0,
  marginTop: '-50%'
});
var Icon = function Icon(props) {
  return /*#__PURE__*/_jsx(IconWrapper, {
    children: /*#__PURE__*/_jsx(StyledIcon, _extends({
      size: "600"
    }, props))
  });
};
export function Button(_ref) {
  var props = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  var children = props.children,
    loading = props.loading,
    icon = props.icon,
    _props$loadingMessage = props.loadingMessage,
    loadingMessage = _props$loadingMessage === void 0 ? 'carregando' : _props$loadingMessage,
    as = props.as,
    disabled = props.disabled,
    restProps = _objectWithoutPropertiesLoose(props, _excluded);
  if (loading) {
    return /*#__PURE__*/_jsxs(StyledButton, _extends({}, restProps, {
      as: "button",
      loading: true,
      className: "loading",
      disabled: true,
      "aria-label": loadingMessage,
      children: [/*#__PURE__*/_jsx(Icon, {
        label: "loading",
        animate: "rotate"
      }), children]
    }));
  }
  return /*#__PURE__*/_jsxs(StyledButton, _extends({
    as: disabled ? 'button' : as,
    disabled: disabled
  }, restProps, {
    children: [icon && /*#__PURE__*/_jsx(Icon, {
      label: icon
    }), children]
  }));
}