var _excluded = ["children", "totalSlides", "onSlideChange", "roundMethod"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { useRef, useCallback, useImperativeHandle, forwardRef, Children, Fragment } from 'react';
import { styled } from "../../../theme";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var Slider = styled('ul', {
  scrollSnapType: 'x mandatory',
  display: 'flex',
  '-webkit-overflow-scrolling': 'touch',
  overflowX: 'scroll',
  overflowY: 'hidden',
  scrollBehavior: 'smooth',
  scrollbarWidth: 'none',
  listStyleType: 'none',
  '&::-webkit-scrollbar': {
    display: 'none'
  }
});
var CarouselContainer = styled('div', {
  position: 'relative',
  display: 'grid'
});
var Controls = styled('div');
export var CarouselComponent = /*#__PURE__*/forwardRef(function (props, ref) {
  var children = props.children,
    totalSlides = props.totalSlides,
    onSlideChange = props.onSlideChange,
    _props$roundMethod = props.roundMethod,
    roundMethod = _props$roundMethod === void 0 ? 'round' : _props$roundMethod,
    rest = _objectWithoutPropertiesLoose(props, _excluded);
  var _Children$toArray = Children.toArray(children),
    Slides = _Children$toArray[0],
    Controls = _Children$toArray[1];
  var sliderRef = useRef(null);
  var slide = useRef(0);
  var scrollTimeout = useRef();
  function changeSlide(index) {
    if (!sliderRef.current) {
      return;
    }
    var indexNumber = Number(index);
    var slideIndex = indexNumber < 0 ? indexNumber + totalSlides : indexNumber % totalSlides;
    sliderRef.current.scrollLeft = slideIndex * sliderRef.current.clientWidth;
  }
  useImperativeHandle(ref, function () {
    return Object.assign(sliderRef.current, {
      changeSlide: changeSlide,
      next: next,
      previous: previous,
      currentSlide: slide.current
    });
  });
  var changeCurrentSlide = useCallback(function () {
    if (scrollTimeout.current) {
      clearTimeout(scrollTimeout.current);
    }
    var slider = sliderRef.current;
    if (!slider) {
      return;
    }
    scrollTimeout.current = setTimeout(function () {
      if (!sliderRef.current) {
        return;
      }
      var roundFunction = Math[roundMethod];
      var chunkWidth = sliderRef.current.scrollWidth / totalSlides;
      slide.current = roundFunction(slider.scrollLeft / chunkWidth);
      onSlideChange == null || onSlideChange(slide.current);
    }, 100);
  }, [onSlideChange, totalSlides, roundMethod]);
  function previous() {
    changeSlide(slide.current - 1);
  }
  function next() {
    changeSlide(slide.current + 1);
  }
  return /*#__PURE__*/_jsxs(CarouselContainer, _extends({}, rest, {
    children: [/*#__PURE__*/_jsx(Slider, {
      className: "carousel-slider",
      onScroll: changeCurrentSlide,
      ref: sliderRef,
      children: Slides
    }), Controls]
  }));
});
CarouselComponent.displayName = 'Carousel';
export var Carousel = Object.assign(CarouselComponent, {
  Slides: Fragment,
  Controls: Controls
});
export function useCarouselRef() {
  return useRef(null);
}