import { useCallback, useEffect, useRef } from 'react';
var useInterval = function useInterval(callback, delay) {
  var savedCallback = useRef(function () {
    return null;
  });
  var interval = useRef(null);
  useEffect(function () {
    savedCallback.current = callback;
  }, [callback]);
  var start = useCallback(function () {
    interval.current = window.setInterval(function () {
      return savedCallback.current();
    }, delay);
  }, [delay]);
  var stop = useCallback(function () {
    if (interval.current) {
      window.clearInterval(interval.current);
    }
  }, []);
  var restart = useCallback(function () {
    stop();
    start();
  }, [start, stop]);
  useEffect(function () {
    start();
    if (delay) {
      return function () {
        return stop();
      };
    }
    return undefined;
  }, [start, stop, delay]);
  return {
    start: start,
    stop: stop,
    restart: restart
  };
};
export default useInterval;