var _excluded = ["children", "className", "css", "disabled"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { forwardRef, useId } from 'react';
import { styled } from "../../../theme";
import * as CheckboxPrimitive from '@radix-ui/react-checkbox';
import { Icon } from "../../../icons";
import { Flex } from "../Flex";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var StyledCheckbox = styled(CheckboxPrimitive.Root, {
  all: 'unset',
  backgroundColor: '$white',
  boxSizing: 'border-box',
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center',
  borderRadius: '$100',
  overflow: 'hidden',
  cursor: 'pointer',
  marginRight: '$300',
  flexShrink: 0,
  '&:focus-visible': {
    boxShadow: "0 0 0 2px var(--colors-green30)"
  },
  '&[data-state="unchecked"]:enabled:not(:focus-visible)': {
    borderWidth: '$thin',
    borderStyle: 'solid',
    borderColor: '$gray50'
  },
  '&:disabled': {
    cursor: 'not-allowed',
    backgroundColor: '$gray40'
  },
  defaultVariants: {
    size: 400
  },
  variants: {
    size: {
      400: {
        width: 'var(--fontSizes-400)',
        height: 'var(--fontSizes-400)'
      },
      600: {
        width: 'var(--fontSizes-600)',
        height: 'var(--fontSizes-600)'
      }
    }
  }
});
var StyledIndicator = styled(CheckboxPrimitive.Indicator, {
  display: 'grid',
  placeItems: 'center',
  width: '100%',
  height: '100%',
  variants: {
    disabled: {
      "false": {
        backgroundColor: '$green60'
      }
    }
  }
});
var Label = styled('label', {
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$300',
  cursor: 'pointer',
  variants: {
    disabled: {
      "true": {
        cursor: 'default'
      }
    }
  }
});
var CheckboxInput = StyledCheckbox;
var CheckboxIndicator = StyledIndicator;
export var Checkbox = /*#__PURE__*/forwardRef(function (props, ref) {
  var children = props.children,
    className = props.className,
    css = props.css,
    _props$disabled = props.disabled,
    disabled = _props$disabled === void 0 ? false : _props$disabled,
    rest = _objectWithoutPropertiesLoose(props, _excluded);
  var generatedId = useId();
  return /*#__PURE__*/_jsxs(Flex, {
    align: "center",
    className: className,
    css: css,
    children: [/*#__PURE__*/_jsx(CheckboxInput, _extends({
      id: generatedId,
      className: "checkbox",
      disabled: disabled
    }, rest, {
      ref: ref,
      children: /*#__PURE__*/_jsx(CheckboxIndicator, {
        disabled: disabled,
        children: /*#__PURE__*/_jsx(Icon, {
          label: "check",
          fill: "white",
          size: "300"
        })
      })
    })), /*#__PURE__*/_jsx(Label, {
      htmlFor: generatedId,
      disabled: disabled,
      className: "label",
      children: children
    })]
  });
});
Checkbox.displayName = 'Checkbox';