var _excluded = ["title", "children", "hiddenTitle", "hiddenCloseButton"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import * as DialogPrimitive from '@radix-ui/react-dialog';
import { keyframes, styled } from "../../../theme";
import { Flex, Typography, GhostIconButton } from '..';
import { Fragment } from 'react';
import { VisuallyHidden } from "../VisuallyHidden";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var contentShow = keyframes({
  '0%': {
    opacity: 0,
    transform: 'translate(-50%, -48%) scale(.96)'
  },
  '100%': {
    opacity: 1,
    transform: 'translate(-50%, -50%) scale(1)'
  }
});
var StyledOverlay = styled(DialogPrimitive.Overlay, {
  backgroundColor: '$black',
  opacity: '0.2',
  position: 'fixed',
  inset: 0,
  cursor: 'pointer',
  variants: {
    hiddenCloseButton: {
      "true": {
        cursor: 'default'
      }
    }
  }
});
var StyledContent = styled(DialogPrimitive.Content, {
  backgroundColor: '$white',
  borderRadius: '$200',
  position: 'fixed',
  top: '50%',
  left: '50%',
  transform: 'translate(-50%, -50%)',
  width: '90vw',
  maxWidth: '39.75rem',
  padding: '$600 $400 $600 $600',
  outline: 'none',
  '@prefersMotion': {
    animation: contentShow + " 150ms cubic-bezier(0.16, 1, 0.3, 1) forwards"
  }
});
var DescriptionBox = styled('div', {
  overflowY: 'auto',
  maxHeight: '28.125rem',
  marginTop: '$200',
  '&::-webkit-scrollbar': {
    width: '0.5rem'
  },
  '&::-webkit-scrollbar-track': {
    background: '$gray20',
    borderRadius: '$200'
  },
  '&::-webkit-scrollbar-thumb': {
    background: '$gray40',
    borderRadius: '$200'
  },
  '@desktop': {
    maxHeight: '16.875rem'
  }
});
var StyledDescription = styled(DialogPrimitive.Description, {
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$400',
  lineHeight: '$large'
});
function Content(_ref) {
  var title = _ref.title,
    children = _ref.children,
    hiddenTitle = _ref.hiddenTitle,
    hiddenCloseButton = _ref.hiddenCloseButton,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var TitleContainer = hiddenTitle ? VisuallyHidden : Fragment;
  return /*#__PURE__*/_jsxs(DialogPrimitive.Portal, {
    children: [/*#__PURE__*/_jsx(StyledOverlay, {
      hiddenCloseButton: hiddenCloseButton,
      "data-testid": "overlay-dialog"
    }), /*#__PURE__*/_jsxs(StyledContent, _extends({}, props, {
      children: [/*#__PURE__*/_jsxs(Flex, {
        align: "center",
        justify: "between",
        children: [/*#__PURE__*/_jsx(TitleContainer, {
          children: /*#__PURE__*/_jsx(Typography, {
            as: DialogPrimitive.Title,
            color: "gray50",
            weight: "medium",
            size: {
              '@initial': '400',
              '@desktop': '600'
            },
            children: title
          })
        }), !hiddenCloseButton && /*#__PURE__*/_jsx(DialogPrimitive.Close, {
          asChild: true,
          children: /*#__PURE__*/_jsx(GhostIconButton, {
            icon: "close",
            label: "Fechar modal",
            size: "600",
            fill: "gray40",
            css: {
              marginLeft: 'auto'
            }
          })
        })]
      }), /*#__PURE__*/_jsx(DescriptionBox, {
        className: "dialog-body",
        children: children
      })]
    }))]
  });
}
export var Dialog = DialogPrimitive.Root;
export var DialogTrigger = DialogPrimitive.Trigger;
export var DialogContent = Content;
export var DialogDescription = StyledDescription;
export var DialogClose = DialogPrimitive.Close;