import { styled, keyframes } from "../../../theme";
import * as DialogPrimitive from '@radix-ui/react-dialog';
var overlayShow = keyframes({
  '0%': {
    opacity: 0
  },
  '100%': {
    opacity: 1
  }
});
var contentShow = keyframes({
  '0%': {
    opacity: 0,
    transform: 'translateX(-100%)'
  },
  '100%': {
    opacity: 1,
    transform: 'translateX(0)'
  }
});
var StyledTrigger = styled(DialogPrimitive.Trigger, {
  outline: 'none'
});
var StyledOverlay = styled(DialogPrimitive.Overlay, {
  position: 'fixed',
  backgroundColor: '$gray50',
  inset: 0,
  zIndex: '$400',
  '@prefersMotion': {
    animation: overlayShow + " 150ms cubic-bezier(0.16, 1, 0.3, 1)"
  }
});
var StyledContent = styled(DialogPrimitive.Content, {
  position: 'fixed',
  backgroundColor: '$white',
  top: 0,
  left: 0,
  width: '90vw',
  height: '100%',
  overflowY: 'auto',
  zIndex: '$400',
  '@prefersMotion': {
    animation: contentShow + " 300ms cubic-bezier(0.16, 1, 0.3, 1)"
  }
});
var StyledClose = styled(DialogPrimitive.Close, {
  outline: 'none'
});
export var DrawerRoot = DialogPrimitive.Root;
export var DrawerTitle = DialogPrimitive.Title;
export var DrawerTrigger = StyledTrigger;
export var DrawerPortal = DialogPrimitive.Portal;
export var DrawerOverlay = StyledOverlay;
export var DrawerContent = StyledContent;
export var DrawerClose = StyledClose;