function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { Icon } from "../../../icons";
import { styled } from "../../../theme";
import { Flex, Tooltip, Typography, Anchor, GhostIconButton, Grid } from '..';
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
var Label = styled('label', {
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$400'
});
var FieldWrapper = styled('div', {
  display: 'flex',
  flexDirection: 'column',
  gap: '$200',
  alignItems: 'flex-start',
  overflow: 'hidden'
});

/**
 * Provides context for form inputs.
 */
export var FormControl = function FormControl(_ref) {
  var id = _ref.id,
    label = _ref.label,
    _ref$error = _ref.error,
    error = _ref$error === void 0 ? false : _ref$error,
    errorMessage = _ref.errorMessage,
    tooltipMessage = _ref.tooltipMessage,
    link = _ref.link,
    required = _ref.required,
    children = _ref.children,
    _ref$direction = _ref.direction,
    direction = _ref$direction === void 0 ? 'row' : _ref$direction,
    css = _ref.css,
    className = _ref.className,
    _ref$overflow = _ref.overflow,
    overflow = _ref$overflow === void 0 ? 'hidden' : _ref$overflow;
  var gridTemplateColumns = direction === 'column' ? {
    gridTemplateColumns: 'max-content 1fr'
  } : {
    gridTemplateColumns: '1fr'
  };
  return /*#__PURE__*/_jsxs(Grid, {
    "data-testid": "form-control",
    justify: "start",
    flow: direction,
    align: "baseline",
    gap: "200",
    css: _extends({}, css, gridTemplateColumns),
    className: className,
    children: [/*#__PURE__*/_jsxs(Flex, {
      gap: "200",
      align: "center",
      children: [/*#__PURE__*/_jsxs(Label, {
        htmlFor: id,
        children: [label, required && '*']
      }), link && /*#__PURE__*/_jsx(Anchor, _extends({
        color: "secondary",
        decoration: "underline",
        target: "_blank"
      }, link)), tooltipMessage && /*#__PURE__*/_jsx(Tooltip, {
        content: tooltipMessage,
        side: "bottom",
        children: /*#__PURE__*/_jsx(GhostIconButton, {
          icon: "question-circle",
          label: "dica",
          fill: "gray50"
        })
      }), error && /*#__PURE__*/_jsx(Icon, {
        label: "alert-triangle",
        size: "400",
        fill: "red40"
      })]
    }), /*#__PURE__*/_jsxs(FieldWrapper, {
      className: "field-wrapper",
      css: overflow !== 'hidden' ? {
        overflow: overflow
      } : {},
      children: [children, error && /*#__PURE__*/_jsx(Typography, {
        id: id + "-error",
        "aria-live": "polite",
        color: "red40",
        children: errorMessage
      })]
    })]
  });
};