/**
 * Quickly manage the layout, alignment, and sizing of grid columns,
 * navigation, components, and more with a full suite of responsive
 * grid utilities. For more complex implementations, custom CSS
 * may be necessary.
 **/
export declare const Grid: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    align?: "center" | "stretch" | "end" | "start" | "baseline" | undefined;
    justify?: "center" | "end" | "start" | "between" | undefined;
    flow?: "column" | "row" | "dense" | "rowDense" | "columnDense" | undefined;
    columns?: 1 | "1" | "2" | "3" | "4" | 2 | 3 | 4 | undefined;
    gap?: "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | 400 | 500 | 700 | 100 | 200 | 300 | 600 | 800 | undefined;
    columnGap?: "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | 400 | 500 | 700 | 100 | 200 | 300 | 600 | 800 | undefined;
    rowGap?: "100" | "200" | "300" | "400" | "500" | "600" | "700" | "800" | 400 | 500 | 700 | 100 | 200 | 300 | 600 | 800 | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
