var _excluded = ["icon", "label"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { Icon } from "../../../icons";
import { styled } from "../../../theme";
import { forwardRef } from 'react';

/**
 * These typings were inspired by this repository
 * @see https://github.com/kripod/react-polymorphic-box
 *
 * They solve the polymorphism problem in Stitches
 * @see https://github.com/modulz/stitches/issues/307#issuecomment-779926558
 */
import { jsx as _jsx } from "react/jsx-runtime";
var StyledButton = styled('button', {
  $$innerBorderSize: '0.1875rem',
  display: 'inline-grid',
  placeItems: 'center',
  border: 'none',
  borderRadius: '$circle',
  cursor: 'pointer',
  userSelect: 'none',
  outline: '$$innerBorderSize solid transparent',
  outlineOffset: '-$$innerBorderSize',
  '&:disabled': {
    pointerEvents: 'none'
  },
  '@prefersMotion': {
    transition: 'all 250ms ease'
  },
  defaultVariants: {
    size: 'medium',
    color: 'primary'
  },
  variants: {
    size: {
      small: {
        $$size: '2.625rem',
        width: '$$size',
        height: '$$size',
        fontSize: '$400'
      },
      medium: {
        $$size: '3.75rem',
        width: '$$size',
        height: '$$size',
        fontSize: '$600'
      }
    },
    color: {
      primary: {
        color: '$black',
        background: '$white',
        boxShadow: '$gray40',
        '&:focus-visible': {
          outlineColor: '$green30',
          boxShadow: '$green40'
        },
        '&:disabled': {
          color: '$white',
          background: '$gray40',
          cursor: 'default'
        },
        '@hoverBased': {
          '&:hover': {
            color: '$green30'
          }
        }
      }
    }
  }
});
export var IconButton = /*#__PURE__*/forwardRef(function Button(props, ref) {
  var icon = props.icon,
    label = props.label,
    restProps = _objectWithoutPropertiesLoose(props, _excluded);
  return /*#__PURE__*/_jsx(StyledButton, _extends({
    ref: ref
  }, restProps, {
    "aria-label": label,
    children: /*#__PURE__*/_jsx(Icon, {
      size: "inherit",
      label: icon
    })
  }));
});