import { createContext, useContext, useEffect, useState } from 'react';
import { useMedia } from "../useMedia";
import { jsx as _jsx } from "react/jsx-runtime";
export var mediaQueries = {
  mobile: '(max-width: 32.4375em)',
  //519px
  touch: '(max-width: 64em)',
  // 1024px
  desktop: '(min-width: 64.0625em)' // 1025px
};
var MediaContext = /*#__PURE__*/createContext(undefined);
export var useMediaContext = function useMediaContext() {
  var context = useContext(MediaContext);
  if (context === undefined) {
    throw new Error('useMediaContext was used outside of its provider');
  }
  return context;
};
export var MediaContextProvider = function MediaContextProvider(_ref) {
  var query = _ref.query,
    children = _ref.children;
  var _useState = useState(true),
    isFirstRender = _useState[0],
    setFirstRender = _useState[1];
  var match = useMedia(mediaQueries[query]);
  useEffect(function () {
    setFirstRender(false);
  }, []);
  return /*#__PURE__*/_jsx(MediaContext.Provider, {
    value: {
      match: match,
      query: query,
      isFirstRender: isFirstRender
    },
    children: children
  });
};