import { InputHTMLAttributes, LabelHTMLAttributes, ReactNode } from 'react';
import { CSS, VariantProps } from '../../../theme';
import { TooltipProps } from '../Tooltip';
import { Typography } from '../Typography';
type LabelProps = {
    text: ReactNode;
    size?: '300' | '400';
} & VariantProps<typeof Typography> & Omit<LabelHTMLAttributes<HTMLLabelElement>, 'htmlFor'>;
type RadioTooltipProps = Omit<TooltipProps, 'children'> & {
    buttonLabel: string;
};
export type RadioProps = InputHTMLAttributes<HTMLInputElement> & {
    name: string;
    value: string;
    icon?: ReactNode;
    label: LabelProps;
    css?: CSS;
    tooltip?: RadioTooltipProps;
};
export declare const Radio: import("react").ForwardRefExoticComponent<InputHTMLAttributes<HTMLInputElement> & {
    name: string;
    value: string;
    icon?: ReactNode;
    label: LabelProps;
    css?: CSS;
    tooltip?: RadioTooltipProps;
} & import("react").RefAttributes<HTMLInputElement>>;
export {};
