import { useEffect, useState } from 'react';
import { styled } from "../../../theme";

/**
 * The overlay mechanism can be removed when the issue
 * https://github.com/radix-ui/primitives/issues/1658 is resolved
 */
import { jsx as _jsx } from "react/jsx-runtime";
var StyledOverlay = styled('div', {
  position: 'fixed',
  inset: 0,
  zIndex: '$400',
  isolation: 'isolate'
});
export var Overlay = function Overlay(_ref) {
  var open = _ref.open;
  var _useState = useState(false),
    visible = _useState[0],
    setVisible = _useState[1];
  useEffect(function () {
    var timer = setTimeout(function () {
      setVisible(open);
    }, 300);
    return function () {
      clearTimeout(timer);
    };
  }, [open]);
  if (!visible) {
    return null;
  }
  return /*#__PURE__*/_jsx(StyledOverlay, {
    onClick: function onClick(event) {
      return event.stopPropagation();
    },
    "data-testid": "select-overlay"
  });
};