var _excluded = ["children", "ariaLabel", "placeholder", "errorMessage", "error", "required", "label", "open", "onOpenChange", "direction", "className", "css"],
  _excluded2 = ["children"];
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { styled } from "../../../theme";
import * as SelectPrimitive from '@radix-ui/react-select';
import { Icon } from "../../../icons";
import { forwardRef, useId, useState } from 'react';
import { Divider } from "../Divider";
import { FormControl } from "../FormControl";
import { Overlay } from "./Overlay";
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
var StyledTrigger = styled(SelectPrimitive.SelectTrigger, {
  all: 'unset',
  boxSizing: 'border-box',
  width: '100%',
  borderStyle: 'solid',
  borderWidth: '$thin',
  borderColor: '$gray30',
  borderRadius: '$200',
  height: '3.625rem',
  margin: '$200 0',
  gap: '$400',
  padding: '0 $400',
  background: '$white',
  display: 'inline-flex',
  alignItems: 'center',
  justifyContent: 'space-between',
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$400',
  cursor: 'pointer',
  '&[data-state="open"]': {
    zIndex: '$max'
  },
  '&:focus': {
    borderColor: '$green30',
    boxShadow: '$green40'
  },
  variants: {
    hasError: {
      "true": {
        borderColor: '$red40',
        boxShadow: '$red40'
      },
      "false": {}
    }
  },
  '&:first-child > span:first-child': {
    whiteSpace: 'nowrap',
    width: 'calc(100% - 3.5rem)',
    overflow: 'hidden',
    textOverflow: 'ellipsis'
  }
});
var StyledIcon = styled(SelectPrimitive.Icon, {
  display: 'flex'
});
var StyledContent = styled(SelectPrimitive.Content, {
  overflow: 'hidden',
  position: 'absolute',
  background: '$white',
  width: '100%',
  borderRadius: '$200',
  borderStyle: 'solid',
  borderWidth: '$thin',
  borderColor: '$gray30',
  '&[data-state="open"]': {
    zIndex: '$max'
  }
});
var StyledItem = styled(SelectPrimitive.Item, {
  all: 'unset',
  display: 'flex',
  padding: '$500 $1000 $500 $400',
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$400',
  cursor: 'pointer',
  lineHeight: '$tight',
  justifyContent: 'space-between',
  alignItems: 'center',
  position: 'relative',
  userSelect: 'none',
  '&[data-state="checked"]': {
    background: '$gray10'
  },
  '&:focus-visible': {
    '&:before': {
      content: '',
      position: 'absolute',
      inset: 0,
      borderColor: '$green60',
      borderWidth: '$borderWidths$thin',
      borderStyle: 'solid',
      borderRadius: '$200',
      boxShadow: '$green40'
    }
  },
  '&:hover': {
    color: '$green60',
    outline: 'none'
  },
  '&[data-disabled]': {
    cursor: 'not-allowed',
    background: '$gray20',
    color: '$gray30'
  }
});
var StyledItemIndicator = styled(SelectPrimitive.ItemIndicator, {
  position: 'absolute',
  right: '$400',
  display: 'inline-flex',
  alignItems: 'center',
  justifyContent: 'center'
});
var scrollButtonStyles = {
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center',
  height: '1.563rem'
};
var StyledScrollUpButton = styled(SelectPrimitive.ScrollUpButton, _extends({}, scrollButtonStyles, {
  cursor: 'n-resize'
}));
var StyledScrollDownButton = styled(SelectPrimitive.ScrollDownButton, _extends({}, scrollButtonStyles, {
  cursor: 's-resize'
}));
var StyledDivider = styled(Divider, {
  '&:first-of-type': {
    display: 'none'
  }
});
export var Select = /*#__PURE__*/forwardRef(function (_ref, forwardedRef) {
  var children = _ref.children,
    ariaLabel = _ref.ariaLabel,
    placeholder = _ref.placeholder,
    errorMessage = _ref.errorMessage,
    error = _ref.error,
    required = _ref.required,
    label = _ref.label,
    _ref$open = _ref.open,
    open = _ref$open === void 0 ? false : _ref$open,
    onOpenChange = _ref.onOpenChange,
    direction = _ref.direction,
    className = _ref.className,
    css = _ref.css,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var generatedId = useId();
  var _useState = useState(open),
    visible = _useState[0],
    setVisible = _useState[1];
  function handleOpenChange(isOpen) {
    onOpenChange == null || onOpenChange(isOpen);
    setVisible(isOpen);
  }
  return /*#__PURE__*/_jsx(FormControl, {
    id: generatedId,
    label: label,
    error: error,
    errorMessage: errorMessage,
    required: required,
    direction: direction,
    className: className,
    css: css,
    children: /*#__PURE__*/_jsxs(SelectPrimitive.Root, _extends({}, props, {
      open: visible,
      onOpenChange: handleOpenChange,
      children: [/*#__PURE__*/_jsx(Overlay, {
        open: visible
      }), /*#__PURE__*/_jsxs(StyledTrigger, {
        "aria-label": ariaLabel,
        ref: forwardedRef,
        hasError: error,
        id: generatedId,
        children: [/*#__PURE__*/_jsx(SelectPrimitive.Value, {
          placeholder: placeholder
        }), /*#__PURE__*/_jsx(StyledIcon, {
          children: /*#__PURE__*/_jsx(Icon, {
            label: "chevron-down",
            size: "600",
            fill: "gray50"
          })
        })]
      }), /*#__PURE__*/_jsx(SelectPrimitive.Portal, {
        children: /*#__PURE__*/_jsxs(StyledContent, {
          children: [/*#__PURE__*/_jsx(StyledScrollUpButton, {
            children: /*#__PURE__*/_jsx(Icon, {
              label: "chevron-up",
              size: "600",
              fill: "gray50"
            })
          }), /*#__PURE__*/_jsx(SelectPrimitive.Viewport, {
            children: children
          }), /*#__PURE__*/_jsx(StyledScrollDownButton, {
            children: /*#__PURE__*/_jsx(Icon, {
              label: "chevron-down",
              size: "600",
              fill: "gray50"
            })
          })]
        })
      })]
    }))
  });
});
Select.displayName = 'Select';
export var SelectItem = /*#__PURE__*/forwardRef(function (_ref2, forwardedRef) {
  var children = _ref2.children,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  return /*#__PURE__*/_jsxs(_Fragment, {
    children: [/*#__PURE__*/_jsx(StyledDivider, {}), /*#__PURE__*/_jsxs(StyledItem, _extends({}, props, {
      ref: forwardedRef,
      children: [/*#__PURE__*/_jsx(SelectPrimitive.ItemText, {
        children: children
      }), /*#__PURE__*/_jsx(StyledItemIndicator, {
        children: /*#__PURE__*/_jsx(Icon, {
          label: "check",
          size: "600",
          fill: "gray50"
        })
      })]
    }))]
  });
});
SelectItem.displayName = 'SelectItem';