function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
import { keyframes, styled } from "../../../theme";
import { Box } from "../Box";
import { jsx as _jsx } from "react/jsx-runtime";
var heartbeat = keyframes({
  '0%': {
    opacity: '0.1'
  },
  '50%': {
    opacity: '0.25'
  },
  '100%': {
    opacity: '0.1'
  }
});
var commonStyle = {
  backgroundColor: '$gray30',
  animation: "1.5s " + heartbeat + " ease infinite"
};
export var StyledSkeleton = styled('div', commonStyle, {
  width: '100%',
  variants: {
    variant: {
      text: {
        borderRadius: '$100'
      },
      circular: {
        borderRadius: '$circle'
      },
      rectangular: {
        borderRadius: 'unset'
      }
    }
  },
  defaultVariants: {
    variant: 'text'
  }
});
export var skeletonContainer = {
  variants: {
    showSkeleton: {
      "true": {
        '.skeleton-text': _extends({}, commonStyle, {
          borderRadius: '$100',
          color: 'transparent'
        })
      }
    }
  }
};
export function Skeleton(props) {
  return /*#__PURE__*/_jsx(StyledSkeleton, _extends({
    "data-testid": "skeleton"
  }, props));
}
export var SkeletonContainer = styled(Box, skeletonContainer);

/**
 * A helper component, must be used only in Storybook
 *
 * It allows us to force the display of the validation layout,
 * if it uses the skeleton structure based on classnames
 */
export var ForceSkeletonDisplay = styled(Box, skeletonContainer, {
  defaultVariants: {
    showSkeleton: true
  }
});