import { styled } from "../../../theme";
import { Typography } from "../Typography";

/**
 * Use the TextDivider component to quickly create a divider with text in the middle.
 * For more complex implementations, custom CSS may be necessary.
 *
 * @example
 * <TextDivider color="gray50" weight="medium">Your text here</TextDivider>
 */

export var TextDivider = styled(Typography, {
  display: 'flex',
  '&:after, &:before': {
    content: '',
    flex: '1 1',
    borderBottomStyle: 'solid',
    borderBottomWidth: '$thin',
    borderBottomColor: '$gray30',
    margin: 'auto'
  },
  '&:after': {
    marginLeft: '$300'
  },
  '&:before': {
    marginRight: '$300'
  }
});