import { ToastProps, ToastProviderProps, ToastViewportProps } from '@radix-ui/react-toast';
import { Icon } from '../../../icons';
import { $$StyledComponentProps, CSS, VariantProps } from '../../../theme';
import { ComponentProps, ReactNode } from 'react';
import { GhostIconButtonProps } from '../GhostIconButton';
declare const StyledRoot: import("@stitches/react/types/styled-component").StyledComponent<import("react").ForwardRefExoticComponent<ToastProps & import("react").RefAttributes<HTMLLIElement>>, {
    status?: "default" | "alert" | "error" | "success" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
declare const StyledViewport: import("@stitches/react/types/styled-component").StyledComponent<import("react").ForwardRefExoticComponent<ToastViewportProps & import("react").RefAttributes<HTMLOListElement>>, {
    corner?: "top-right" | "bottom-right" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export type ProviderProps = {
    provider?: ToastProviderProps;
    children: ReactNode;
} & VariantProps<typeof StyledViewport> & ToastViewportProps;
export declare function ToastList({ children, provider, ...props }: ProviderProps): import("react/jsx-runtime").JSX.Element;
export type ToastComponentProps = {
    children?: ReactNode;
    title: ReactNode;
    icon?: ComponentProps<typeof Icon>;
    closeButtonProps?: Partial<GhostIconButtonProps>;
    css?: CSS;
} & ToastProps & VariantProps<typeof StyledRoot>;
export type ToastStatus = NonNullable<(typeof StyledRoot)[$$StyledComponentProps]['status']>;
export declare const Toast: ({ children, title, icon, closeButtonProps, ...props }: ToastComponentProps) => import("react/jsx-runtime").JSX.Element;
export declare const ToastDescription: import("react").ForwardRefExoticComponent<import("@radix-ui/react-toast").ToastDescriptionProps & import("react").RefAttributes<HTMLDivElement>>;
export declare const ToastAction: import("react").ForwardRefExoticComponent<import("@radix-ui/react-toast").ToastActionProps & import("react").RefAttributes<HTMLButtonElement>>;
export declare const ToastClose: import("react").ForwardRefExoticComponent<import("@radix-ui/react-toast").ToastCloseProps & import("react").RefAttributes<HTMLButtonElement>>;
export {};
