var _excluded = ["children", "provider"],
  _excluded2 = ["children", "title", "icon", "closeButtonProps"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { Root, Description, Provider, Viewport, Action, Title, Close } from '@radix-ui/react-toast';
import { Icon } from "../../../icons";
import { keyframes, styled } from "../../../theme";
import { GhostIconButton } from "../GhostIconButton";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var focusOutline = {
  '&:focus-visible': {
    borderRadius: '$100',
    outlineWidth: '$borderWidths$medium',
    outlineStyle: 'solid',
    outlineColor: '$gray50'
  }
};
var VIEWPORT_PADDING = 'var(--space-200)';
var hide = keyframes({
  '0%': {
    opacity: 1
  },
  '100%': {
    opacity: 0
  }
});
var slideIn = keyframes({
  from: {
    transform: "translateX(calc(100% + " + VIEWPORT_PADDING + "))"
  },
  to: {
    transform: 'translateX(0)'
  }
});
var swipeOut = keyframes({
  from: {
    transform: 'translateX(var(--radix-toast-swipe-end-x))'
  },
  to: {
    transform: "translateX(calc(100% + " + VIEWPORT_PADDING + "))"
  }
});
var StyledRoot = styled(Root, focusOutline, {
  fontFamily: '$main',
  backgroundColor: '$white',
  borderWidth: '$thin',
  borderStyle: 'solid',
  borderColor: '$gray30',
  borderRadius: '$200',
  borderLeftWidth: '8px',
  color: '$gray50',
  display: 'flex',
  flexDirection: 'column',
  gap: '$200',
  padding: "$200 $200 $800 $400",
  minHeight: '5.5rem',
  width: 'min(28rem, 100%)',
  '.toast-icon': {
    flexShrink: 0
  },
  defaultVariants: {
    status: 'default'
  },
  variants: {
    status: {
      "default": {},
      error: {
        borderLeftColor: '$red40'
      },
      success: {
        borderLeftColor: '$green60'
      },
      alert: {
        borderLeftColor: '$yellow40'
      }
    }
  },
  '@prefersMotion': {
    '&[data-state="open"]': {
      animation: slideIn + " 150ms cubic-bezier(0.16, 1, 0.3, 1)"
    },
    '&[data-state="closed"]': {
      animation: hide + " 100ms ease-in forwards"
    },
    '&[data-swipe="move"]': {
      transform: 'translateX(var(--radix-toast-swipe-move-x))'
    },
    '&[data-swipe="cancel"]': {
      transform: 'translateX(0)',
      transition: 'transform 200ms ease-out'
    },
    '&[data-swipe="end"]': {
      animation: swipeOut + " 100ms ease-out forwards"
    }
  }
});
var StyledTitle = styled(Title, {
  display: 'flex',
  alignItems: 'center',
  fontWeight: '$medium',
  gap: '$400'
});
var Content = styled('div', {
  display: 'flex',
  flexDirection: 'column',
  gap: '$200',
  paddingRight: '$400'
});
var CloseButton = styled(GhostIconButton, {
  display: 'grid',
  marginLeft: 'auto'
});
var StyledViewport = styled(Viewport, {
  position: 'fixed',
  display: 'grid',
  padding: '$600',
  gap: '$300',
  width: 'auto',
  maxWidth: '28rem',
  margin: 0,
  listStyle: 'none',
  zIndex: '$max',
  outline: 'none',
  boxSizing: 'content-box',
  defaultVariants: {
    corner: 'top-right'
  },
  variants: {
    corner: {
      'top-right': {
        top: 0,
        right: 0
      },
      'bottom-right': {
        bottom: 0,
        right: 0
      }
    }
  }
});
export function ToastList(_ref) {
  var children = _ref.children,
    provider = _ref.provider,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsxs(Provider, _extends({}, provider, {
    children: [children, /*#__PURE__*/_jsx(StyledViewport, _extends({}, props))]
  }));
}
export var Toast = function Toast(_ref2) {
  var children = _ref2.children,
    title = _ref2.title,
    icon = _ref2.icon,
    closeButtonProps = _ref2.closeButtonProps,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  return /*#__PURE__*/_jsxs(StyledRoot, _extends({}, props, {
    children: [/*#__PURE__*/_jsx(Close, {
      asChild: true,
      children: /*#__PURE__*/_jsx(CloseButton, _extends({
        icon: "close",
        label: "fechar notifica\xE7\xE3o",
        fill: "gray50"
      }, closeButtonProps))
    }), /*#__PURE__*/_jsxs(Content, {
      children: [/*#__PURE__*/_jsxs(StyledTitle, {
        className: "toast-title",
        children: [icon && /*#__PURE__*/_jsx(Icon, _extends({
          size: "600",
          className: "toast-icon"
        }, icon)), title]
      }), children]
    })]
  }));
};
export var ToastDescription = Description;
export var ToastAction = Action;
export var ToastClose = Close;