var _excluded = ["children", "content", "open", "defaultOpen", "onOpenChange", "side"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
import { useState } from 'react';
import * as TooltipPrimitive from '@radix-ui/react-tooltip';
import { keyframes, styled } from "../../../theme";
import { omit } from "../../utils";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var slideUpAndFade = keyframes({
  '0%': {
    opacity: 0,
    transform: 'translateY(0.125rem)'
  },
  '100%': {
    opacity: 1,
    transform: 'translateY(0)'
  }
});
var slideRightAndFade = keyframes({
  '0%': {
    opacity: 0,
    transform: 'translateX(-0.125rem)'
  },
  '100%': {
    opacity: 1,
    transform: 'translateX(0)'
  }
});
var slideDownAndFade = keyframes({
  '0%': {
    opacity: 0,
    transform: 'translateY(-0.125rem)'
  },
  '100%': {
    opacity: 1,
    transform: 'translateY(0)'
  }
});
var slideLeftAndFade = keyframes({
  '0%': {
    opacity: 0,
    transform: 'translateX(0.125rem)'
  },
  '100%': {
    opacity: 1,
    transform: 'translateX(0)'
  }
});
var Content = styled(TooltipPrimitive.Content, {
  fontFamily: '$main',
  fontSize: '$300',
  backgroundColor: '$gray50',
  borderRadius: '$200',
  padding: '$300 $500',
  maxWidth: '20rem',
  color: '$gray10',
  '@prefersMotion': {
    animationDuration: '400ms',
    animationTimingFunction: 'cubic-bezier(0.16, 1, 0.3, 1)',
    animationFillMode: 'forwards',
    willChange: 'transform, opacity',
    '&[data-state="delayed-open"]': {
      '&[data-side="top"]': {
        animationName: slideDownAndFade
      },
      '&[data-side="right"]': {
        animationName: slideLeftAndFade
      },
      '&[data-side="bottom"]': {
        animationName: slideUpAndFade
      },
      '&[data-side="left"]': {
        animationName: slideRightAndFade
      }
    }
  }
});
var Arrow = styled(TooltipPrimitive.Arrow, {
  fill: '$gray50'
});
export var TooltipProvider = TooltipPrimitive.Provider;
export function Tooltip(_ref) {
  var children = _ref.children,
    content = _ref.content,
    open = _ref.open,
    defaultOpen = _ref.defaultOpen,
    onOpenChange = _ref.onOpenChange,
    _ref$side = _ref.side,
    side = _ref$side === void 0 ? 'top' : _ref$side,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  /**
   * The Radix Tooltip does not open after a touch. This mechanism was included
   * because it is desired to allow content visualization on all devices
   */
  var _useState = useState(undefined),
    display = _useState[0],
    setDisplay = _useState[1];
  var otherProps = omit(props, 'ref');
  var forceOpenState = display ? {
    open: display
  } : {};
  function onTouchEnd() {
    setDisplay(function (previousDisplay) {
      return !previousDisplay;
    });
  }
  function onBlur() {
    setDisplay(false);
  }
  return /*#__PURE__*/_jsxs(TooltipPrimitive.Root, _extends({
    open: open,
    defaultOpen: defaultOpen,
    onOpenChange: onOpenChange,
    delayDuration: 100
  }, forceOpenState, {
    children: [/*#__PURE__*/_jsx(TooltipPrimitive.Trigger, {
      type: "button",
      asChild: true,
      onTouchEnd: onTouchEnd,
      onBlur: onBlur,
      children: children
    }), /*#__PURE__*/_jsxs(Content, _extends({
      side: side,
      sideOffset: 4
    }, otherProps, {
      children: [content, /*#__PURE__*/_jsx(Arrow, {
        width: 11,
        height: 5
      })]
    }))]
  }));
}