/**
 * Omits a single property from the given object.
 *
 * @param {T} obj - The original object.
 * @param {K} keyToOmit - The key of the property to omit.
 * @returns {Omit<T, K>} - A new object without the omitted key.
 *
 * @template T - The type of the object.
 * @template K - The key of the property to omit.
 */
export declare function omit<T extends object, K extends keyof T>(obj: T, keyToOmit: K): Omit<T, K>;
