"use strict";

exports.__esModule = true;
exports.Accordion = void 0;
var _react = require("react");
var _theme = require("../../../theme");
var _icons = require("../../../icons");
var AccordionPrimitive = _interopRequireWildcard(require("@radix-ui/react-accordion"));
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children"],
  _excluded2 = ["children", "forceMount"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var StyledRoot = (0, _theme.styled)(AccordionPrimitive.Root, {
  width: '100%',
  backgroundColor: '$white'
});
var StyledItem = (0, _theme.styled)(AccordionPrimitive.Item, {
  borderTop: 'solid',
  borderWidth: '$thin',
  borderColor: '$gray30',
  '&:first-of-type': {
    borderTop: 0
  }
});
var StyledHeader = (0, _theme.styled)(AccordionPrimitive.Header, {
  all: 'unset',
  display: 'flex'
});
var StyledTrigger = (0, _theme.styled)(AccordionPrimitive.Trigger, {
  all: 'unset',
  fontFamily: '$main',
  fontSize: '$400',
  backgroundColor: '$white',
  padding: '$400 0',
  flex: 1,
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'space-between',
  lineHeight: '$tight',
  color: '$gray50',
  cursor: 'pointer',
  userSelect: 'none',
  '&[data-state="open"]': {
    fontWeight: '$medium'
  },
  '&:hover': {
    color: '$green60'
  },
  position: 'relative',
  '&:focus-visible::after': {
    content: '',
    display: 'block',
    position: 'absolute',
    zIndex: '$100',
    left: 0,
    right: 0,
    margin: '-$300',
    padding: '$400 0',
    boxShadow: '$green40',
    borderStyle: 'solid',
    borderColor: '$green60',
    borderWidth: '$medium',
    borderRadius: '$pill'
  }
});
var StyledContent = (0, _theme.styled)(AccordionPrimitive.Content, {
  overflow: 'hidden',
  backgroundColor: '$white',
  '&[data-state="closed"]': {
    display: 'none'
  }
});
var StyledContainer = (0, _theme.styled)('div', {
  paddingBottom: '$400',
  overflow: 'hidden'
});
var StyledIcon = (0, _theme.styled)(_icons.Icon, {
  '@prefersMotion': {
    transition: 'transform 300ms cubic-bezier(0.87, 0, 0.13, 1)'
  },
  '[data-state=open] &': {
    transform: 'rotate(180deg)'
  }
});
var AccordionTrigger = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, forwardedRef) {
  var children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledHeader, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(StyledTrigger, _extends({}, props, {
      ref: forwardedRef,
      children: [children, /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledIcon, {
        label: "chevron-down",
        size: "600",
        "aria-hidden": true
      })]
    }))
  });
});
AccordionTrigger.displayName = 'AccordionTrigger';
var AccordionContent = /*#__PURE__*/(0, _react.forwardRef)(function (_ref2, forwardedRef) {
  var children = _ref2.children,
    forceMount = _ref2.forceMount,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledContent, _extends({}, props, {
    forceMount: forceMount,
    asChild: true,
    ref: forwardedRef,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledContainer, {
      children: children
    })
  }));
});
AccordionContent.displayName = 'AccordionContent';
var Accordion = exports.Accordion = {
  Root: StyledRoot,
  Item: StyledItem,
  Trigger: AccordionTrigger,
  Content: AccordionContent
};