"use strict";

exports.__esModule = true;
exports.Anchor = void 0;
var _theme = require("../../../theme");
/**
 * The Anchor components creates a hyperlink to web pages, files,
 * email addresses, locations in the same page, or anything else
 * a URL can address.
 */
var Anchor = exports.Anchor = (0, _theme.styled)('a', {
  fontFamily: '$main',
  display: 'inline-flex',
  height: 'fit-content',
  border: 'none',
  background: 'none',
  cursor: 'pointer',
  '&:focus-visible': {
    borderRadius: '$100',
    outlineWidth: '$borderWidths$medium',
    outlineStyle: 'solid',
    outlineOffset: '$borderWidths$medium'
  },
  defaultVariants: {
    color: 'primary',
    decoration: 'none',
    size: 'inherit'
  },
  variants: {
    color: {
      primary: {
        color: '$green60',
        '&:focus-visible': {
          color: '$gray50',
          outlineColor: '$gray50'
        },
        '@hoverBased': {
          '&:hover': {
            color: '$gray50'
          }
        }
      },
      secondary: {
        color: '$gray50',
        '&:focus-visible': {
          color: '$green60',
          outlineColor: '$green60'
        },
        '@hoverBased': {
          '&:hover': {
            color: '$green60'
          }
        }
      }
    },
    decoration: {
      none: {
        fontWeight: '$regular',
        textDecoration: 'none'
      },
      bold: {
        fontWeight: '$bold',
        textDecoration: 'none'
      },
      underline: {
        fontWeight: '$regular',
        textDecoration: 'underline'
      }
    },
    size: {
      inherit: {
        fontSize: 'inherit'
      },
      200: {
        fontSize: '$200'
      },
      300: {
        fontSize: '$300'
      },
      400: {
        fontSize: '$400'
      },
      500: {
        fontSize: '$500'
      }
    }
  }
});