"use strict";

exports.__esModule = true;
exports.CarouselComponent = exports.Carousel = void 0;
exports.useCarouselRef = useCarouselRef;
var _react = require("react");
var _theme = require("../../../theme");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children", "totalSlides", "onSlideChange", "roundMethod"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var Slider = (0, _theme.styled)('ul', {
  scrollSnapType: 'x mandatory',
  display: 'flex',
  '-webkit-overflow-scrolling': 'touch',
  overflowX: 'scroll',
  overflowY: 'hidden',
  scrollBehavior: 'smooth',
  scrollbarWidth: 'none',
  listStyleType: 'none',
  '&::-webkit-scrollbar': {
    display: 'none'
  }
});
var CarouselContainer = (0, _theme.styled)('div', {
  position: 'relative',
  display: 'grid'
});
var Controls = (0, _theme.styled)('div');
var CarouselComponent = exports.CarouselComponent = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var children = props.children,
    totalSlides = props.totalSlides,
    onSlideChange = props.onSlideChange,
    _props$roundMethod = props.roundMethod,
    roundMethod = _props$roundMethod === void 0 ? 'round' : _props$roundMethod,
    rest = _objectWithoutPropertiesLoose(props, _excluded);
  var _Children$toArray = _react.Children.toArray(children),
    Slides = _Children$toArray[0],
    Controls = _Children$toArray[1];
  var sliderRef = (0, _react.useRef)(null);
  var slide = (0, _react.useRef)(0);
  var scrollTimeout = (0, _react.useRef)();
  function changeSlide(index) {
    if (!sliderRef.current) {
      return;
    }
    var indexNumber = Number(index);
    var slideIndex = indexNumber < 0 ? indexNumber + totalSlides : indexNumber % totalSlides;
    sliderRef.current.scrollLeft = slideIndex * sliderRef.current.clientWidth;
  }
  (0, _react.useImperativeHandle)(ref, function () {
    return Object.assign(sliderRef.current, {
      changeSlide: changeSlide,
      next: next,
      previous: previous,
      currentSlide: slide.current
    });
  });
  var changeCurrentSlide = (0, _react.useCallback)(function () {
    if (scrollTimeout.current) {
      clearTimeout(scrollTimeout.current);
    }
    var slider = sliderRef.current;
    if (!slider) {
      return;
    }
    scrollTimeout.current = setTimeout(function () {
      if (!sliderRef.current) {
        return;
      }
      var roundFunction = Math[roundMethod];
      var chunkWidth = sliderRef.current.scrollWidth / totalSlides;
      slide.current = roundFunction(slider.scrollLeft / chunkWidth);
      onSlideChange == null || onSlideChange(slide.current);
    }, 100);
  }, [onSlideChange, totalSlides, roundMethod]);
  function previous() {
    changeSlide(slide.current - 1);
  }
  function next() {
    changeSlide(slide.current + 1);
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(CarouselContainer, _extends({}, rest, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(Slider, {
      className: "carousel-slider",
      onScroll: changeCurrentSlide,
      ref: sliderRef,
      children: Slides
    }), Controls]
  }));
});
CarouselComponent.displayName = 'Carousel';
var Carousel = exports.Carousel = Object.assign(CarouselComponent, {
  Slides: _react.Fragment,
  Controls: Controls
});
function useCarouselRef() {
  return (0, _react.useRef)(null);
}