"use strict";

exports.__esModule = true;
exports.DotsArrow = void 0;
var _theme = require("../../../theme");
var _react = require("react");
var _IconButton = require("../IconButton");
var _Carousel = require("./Carousel");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["onClick"],
  _excluded2 = ["onClick"],
  _excluded3 = ["children", "dotProps", "arrowProps", "carouselRef", "onSlideChange"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var SliderDotsContainer = (0, _theme.styled)('div', {
  display: 'flex',
  gap: '$300',
  margin: '$600 auto 0',
  justifyContent: 'center'
});
var SliderDot = (0, _theme.styled)('button', {
  background: 'white',
  border: 'none',
  borderRadius: '$300',
  cursor: 'pointer',
  height: '0.5rem',
  width: '2rem',
  variants: {
    background: {
      white: {
        backgroundColor: '$white'
      },
      gray30: {
        backgroundColor: '$gray30'
      }
    },
    isActive: {
      "true": {
        backgroundColor: '$green60 !important'
      }
    }
  },
  defaultVariants: {
    background: 'gray30'
  }
});
var LeftArrow = (0, _theme.styled)(_IconButton.IconButton, {
  position: 'absolute',
  top: '50%',
  transform: 'translateY(-50%)'
});
var RightArrow = (0, _theme.styled)(_IconButton.IconButton, {
  position: 'absolute',
  top: '50%',
  right: '0',
  transform: 'translateY(-50%)'
});
var DotsArrow = exports.DotsArrow = function DotsArrow(_ref) {
  var children = _ref.children,
    _ref$dotProps = _ref.dotProps,
    _ref$dotProps2 = _ref$dotProps === void 0 ? {} : _ref$dotProps,
    onDotClick = _ref$dotProps2.onClick,
    dotProps = _objectWithoutPropertiesLoose(_ref$dotProps2, _excluded),
    _ref$arrowProps = _ref.arrowProps,
    _ref$arrowProps2 = _ref$arrowProps === void 0 ? {} : _ref$arrowProps,
    onArrowClick = _ref$arrowProps2.onClick,
    arrowProps = _objectWithoutPropertiesLoose(_ref$arrowProps2, _excluded2),
    carouselRef = _ref.carouselRef,
    onSlideChange = _ref.onSlideChange,
    props = _objectWithoutPropertiesLoose(_ref, _excluded3);
  var _useState = (0, _react.useState)(0),
    slideIndex = _useState[0],
    setSlideIndex = _useState[1];
  var slideCount = Array.from(Array(props.totalSlides).keys());
  function handleDotClick(event) {
    var _event$currentTarget$, _carouselRef$current;
    var index = (_event$currentTarget$ = event.currentTarget.dataset.index) != null ? _event$currentTarget$ : 0;
    (_carouselRef$current = carouselRef.current) == null || _carouselRef$current.changeSlide(index);
    onDotClick == null || onDotClick(event);
  }
  function handleSlideChange(index) {
    onSlideChange == null || onSlideChange(index);
    setSlideIndex(index);
  }
  function handleArrowClick(event) {
    var _event$currentTarget$2, _carouselRef$current2;
    var index = (_event$currentTarget$2 = event.currentTarget.dataset.index) != null ? _event$currentTarget$2 : 0;
    (_carouselRef$current2 = carouselRef.current) == null || _carouselRef$current2.changeSlide(index);
    onArrowClick == null || onArrowClick(event);
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Carousel.Carousel, _extends({}, props, {
    onSlideChange: handleSlideChange,
    "data-testid": "dots-arrow-carousel",
    ref: carouselRef,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_Carousel.Carousel.Slides, {
      children: children
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Carousel.Carousel.Controls, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(LeftArrow, _extends({
        icon: "arrow-left",
        className: "arrow-left",
        label: "ver a pr\xF3xima se\xE7\xE3o do carrossel",
        "aria-hidden": "true",
        size: {
          '@initial': 'small',
          '@tablet': 'medium'
        },
        tabIndex: -1
      }, arrowProps, {
        "data-index": slideIndex - 1,
        "data-testid": "left-arrow",
        "data-type": "previous",
        onClick: handleArrowClick
      })), /*#__PURE__*/(0, _jsxRuntime.jsx)(RightArrow, _extends({
        icon: "arrow-right",
        className: "arrow-right",
        label: "ver a se\xE7\xE3o anterior do carrossel",
        "aria-hidden": "true",
        size: {
          '@initial': 'small',
          '@tablet': 'medium'
        },
        tabIndex: -1
      }, arrowProps, {
        "data-index": slideIndex + 1,
        "data-testid": "right-arrow",
        "data-type": "next",
        onClick: handleArrowClick
      })), /*#__PURE__*/(0, _jsxRuntime.jsx)(SliderDotsContainer, {
        className: "slider-dots-style",
        children: slideCount.map(function (index) {
          return /*#__PURE__*/(0, _jsxRuntime.jsx)(SliderDot, _extends({
            isActive: index === slideIndex,
            "aria-hidden": "true",
            tabIndex: -1
          }, dotProps, {
            "data-index": index,
            "data-testid": "dot-" + (index + 1),
            onClick: handleDotClick
          }), index);
        })
      })]
    })]
  }));
};