"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _react = require("react");
var useInterval = function useInterval(callback, delay) {
  var savedCallback = (0, _react.useRef)(function () {
    return null;
  });
  var interval = (0, _react.useRef)(null);
  (0, _react.useEffect)(function () {
    savedCallback.current = callback;
  }, [callback]);
  var start = (0, _react.useCallback)(function () {
    interval.current = window.setInterval(function () {
      return savedCallback.current();
    }, delay);
  }, [delay]);
  var stop = (0, _react.useCallback)(function () {
    if (interval.current) {
      window.clearInterval(interval.current);
    }
  }, []);
  var restart = (0, _react.useCallback)(function () {
    stop();
    start();
  }, [start, stop]);
  (0, _react.useEffect)(function () {
    start();
    if (delay) {
      return function () {
        return stop();
      };
    }
    return undefined;
  }, [start, stop, delay]);
  return {
    start: start,
    stop: stop,
    restart: restart
  };
};
var _default = exports["default"] = useInterval;