"use strict";

exports.__esModule = true;
exports.Checkbox = void 0;
var _react = require("react");
var _theme = require("../../../theme");
var CheckboxPrimitive = _interopRequireWildcard(require("@radix-ui/react-checkbox"));
var _icons = require("../../../icons");
var _Flex = require("../Flex");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children", "className", "css", "disabled"];
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var StyledCheckbox = (0, _theme.styled)(CheckboxPrimitive.Root, {
  all: 'unset',
  backgroundColor: '$white',
  boxSizing: 'border-box',
  display: 'flex',
  alignItems: 'center',
  justifyContent: 'center',
  borderRadius: '$100',
  overflow: 'hidden',
  cursor: 'pointer',
  marginRight: '$300',
  flexShrink: 0,
  '&:focus-visible': {
    boxShadow: "0 0 0 2px var(--colors-green30)"
  },
  '&[data-state="unchecked"]:enabled:not(:focus-visible)': {
    borderWidth: '$thin',
    borderStyle: 'solid',
    borderColor: '$gray50'
  },
  '&:disabled': {
    cursor: 'not-allowed',
    backgroundColor: '$gray40'
  },
  defaultVariants: {
    size: 400
  },
  variants: {
    size: {
      400: {
        width: 'var(--fontSizes-400)',
        height: 'var(--fontSizes-400)'
      },
      600: {
        width: 'var(--fontSizes-600)',
        height: 'var(--fontSizes-600)'
      }
    }
  }
});
var StyledIndicator = (0, _theme.styled)(CheckboxPrimitive.Indicator, {
  display: 'grid',
  placeItems: 'center',
  width: '100%',
  height: '100%',
  variants: {
    disabled: {
      "false": {
        backgroundColor: '$green60'
      }
    }
  }
});
var Label = (0, _theme.styled)('label', {
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$300',
  cursor: 'pointer',
  variants: {
    disabled: {
      "true": {
        cursor: 'default'
      }
    }
  }
});
var CheckboxInput = StyledCheckbox;
var CheckboxIndicator = StyledIndicator;
var Checkbox = exports.Checkbox = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var children = props.children,
    className = props.className,
    css = props.css,
    _props$disabled = props.disabled,
    disabled = _props$disabled === void 0 ? false : _props$disabled,
    rest = _objectWithoutPropertiesLoose(props, _excluded);
  var generatedId = (0, _react.useId)();
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Flex.Flex, {
    align: "center",
    className: className,
    css: css,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(CheckboxInput, _extends({
      id: generatedId,
      className: "checkbox",
      disabled: disabled
    }, rest, {
      ref: ref,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(CheckboxIndicator, {
        disabled: disabled,
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icons.Icon, {
          label: "check",
          fill: "white",
          size: "300"
        })
      })
    })), /*#__PURE__*/(0, _jsxRuntime.jsx)(Label, {
      htmlFor: generatedId,
      disabled: disabled,
      className: "label",
      children: children
    })]
  });
});
Checkbox.displayName = 'Checkbox';