"use strict";

exports.__esModule = true;
exports.DrawerTrigger = exports.DrawerTitle = exports.DrawerRoot = exports.DrawerPortal = exports.DrawerOverlay = exports.DrawerContent = exports.DrawerClose = void 0;
var _theme = require("../../../theme");
var DialogPrimitive = _interopRequireWildcard(require("@radix-ui/react-dialog"));
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { "default": e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n["default"] = e, t && t.set(e, n), n; }
var overlayShow = (0, _theme.keyframes)({
  '0%': {
    opacity: 0
  },
  '100%': {
    opacity: 1
  }
});
var contentShow = (0, _theme.keyframes)({
  '0%': {
    opacity: 0,
    transform: 'translateX(-100%)'
  },
  '100%': {
    opacity: 1,
    transform: 'translateX(0)'
  }
});
var StyledTrigger = (0, _theme.styled)(DialogPrimitive.Trigger, {
  outline: 'none'
});
var StyledOverlay = (0, _theme.styled)(DialogPrimitive.Overlay, {
  position: 'fixed',
  backgroundColor: '$gray50',
  inset: 0,
  zIndex: '$400',
  '@prefersMotion': {
    animation: overlayShow + " 150ms cubic-bezier(0.16, 1, 0.3, 1)"
  }
});
var StyledContent = (0, _theme.styled)(DialogPrimitive.Content, {
  position: 'fixed',
  backgroundColor: '$white',
  top: 0,
  left: 0,
  width: '90vw',
  height: '100%',
  overflowY: 'auto',
  zIndex: '$400',
  '@prefersMotion': {
    animation: contentShow + " 300ms cubic-bezier(0.16, 1, 0.3, 1)"
  }
});
var StyledClose = (0, _theme.styled)(DialogPrimitive.Close, {
  outline: 'none'
});
var DrawerRoot = exports.DrawerRoot = DialogPrimitive.Root;
var DrawerTitle = exports.DrawerTitle = DialogPrimitive.Title;
var DrawerTrigger = exports.DrawerTrigger = StyledTrigger;
var DrawerPortal = exports.DrawerPortal = DialogPrimitive.Portal;
var DrawerOverlay = exports.DrawerOverlay = StyledOverlay;
var DrawerContent = exports.DrawerContent = StyledContent;
var DrawerClose = exports.DrawerClose = StyledClose;