"use strict";

exports.__esModule = true;
exports.FormControl = void 0;
var _icons = require("../../../icons");
var _theme = require("../../../theme");
var _ = require("..");
var _jsxRuntime = require("react/jsx-runtime");
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
var Label = (0, _theme.styled)('label', {
  fontFamily: '$main',
  color: '$gray50',
  fontSize: '$400'
});
var FieldWrapper = (0, _theme.styled)('div', {
  display: 'flex',
  flexDirection: 'column',
  gap: '$200',
  alignItems: 'flex-start',
  overflow: 'hidden'
});

/**
 * Provides context for form inputs.
 */
var FormControl = exports.FormControl = function FormControl(_ref) {
  var id = _ref.id,
    label = _ref.label,
    _ref$error = _ref.error,
    error = _ref$error === void 0 ? false : _ref$error,
    errorMessage = _ref.errorMessage,
    tooltipMessage = _ref.tooltipMessage,
    link = _ref.link,
    required = _ref.required,
    children = _ref.children,
    _ref$direction = _ref.direction,
    direction = _ref$direction === void 0 ? 'row' : _ref$direction,
    css = _ref.css,
    className = _ref.className,
    _ref$overflow = _ref.overflow,
    overflow = _ref$overflow === void 0 ? 'hidden' : _ref$overflow;
  var gridTemplateColumns = direction === 'column' ? {
    gridTemplateColumns: 'max-content 1fr'
  } : {
    gridTemplateColumns: '1fr'
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_.Grid, {
    "data-testid": "form-control",
    justify: "start",
    flow: direction,
    align: "baseline",
    gap: "200",
    css: _extends({}, css, gridTemplateColumns),
    className: className,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_.Flex, {
      gap: "200",
      align: "center",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(Label, {
        htmlFor: id,
        children: [label, required && '*']
      }), link && /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Anchor, _extends({
        color: "secondary",
        decoration: "underline",
        target: "_blank"
      }, link)), tooltipMessage && /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Tooltip, {
        content: tooltipMessage,
        side: "bottom",
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_.GhostIconButton, {
          icon: "question-circle",
          label: "dica",
          fill: "gray50"
        })
      }), error && /*#__PURE__*/(0, _jsxRuntime.jsx)(_icons.Icon, {
        label: "alert-triangle",
        size: "400",
        fill: "red40"
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(FieldWrapper, {
      className: "field-wrapper",
      css: overflow !== 'hidden' ? {
        overflow: overflow
      } : {},
      children: [children, error && /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Typography, {
        id: id + "-error",
        "aria-live": "polite",
        color: "red40",
        children: errorMessage
      })]
    })]
  });
};