"use strict";

exports.__esModule = true;
exports.GhostIconButton = void 0;
var _icons = require("../../../icons");
var _theme = require("../../../theme");
var _react = require("react");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["icon", "label", "fill", "size"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var StyledButton = (0, _theme.styled)('button', {
  all: 'unset',
  display: 'inline-flex',
  height: 'fit-content',
  cursor: 'pointer',
  '&:disabled': {
    pointerEvents: 'none'
  },
  '&:focus-visible': {
    borderRadius: '$100',
    outlineWidth: '$borderWidths$medium',
    outlineStyle: 'solid',
    outlineOffset: '$borderWidths$medium',
    outlineColor: '$green60'
  }
});
var GhostIconButton = exports.GhostIconButton = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var icon = props.icon,
    label = props.label,
    fill = props.fill,
    size = props.size,
    restProps = _objectWithoutPropertiesLoose(props, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledButton, _extends({
    "data-name": "ghost-icon-button",
    ref: ref,
    "aria-label": label
  }, restProps, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_icons.Icon, {
      label: icon,
      fill: fill,
      size: size
    })
  }));
});
GhostIconButton.displayName = 'GhostIconButton';