"use strict";

exports.__esModule = true;
exports.MediaMismatch = exports.MediaMatch = void 0;
var _StyledMedia = require("./StyledMedia");
var _MediaContext = require("../MediaContext/MediaContext");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children"],
  _excluded2 = ["children"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
/**
 *  supressHydrationWarning is not a problem here because we are
 * hiding the components that are not used in the current media
 * query on the client-side. Other libs like @artsy/fresnel also use it
 */

var MediaMatch = exports.MediaMatch = function MediaMatch(_ref) {
  var children = _ref.children,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  var _useMediaContext = (0, _MediaContext.useMediaContext)(),
    match = _useMediaContext.match,
    query = _useMediaContext.query,
    isFirstRender = _useMediaContext.isFirstRender;
  var showMatchComponent = isFirstRender || match;
  if (!showMatchComponent) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_StyledMedia.StyledMedia, _extends({
    match: query
  }, props, {
    children: children
  }));
};
var MediaMismatch = exports.MediaMismatch = function MediaMismatch(_ref2) {
  var children = _ref2.children,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  var _useMediaContext2 = (0, _MediaContext.useMediaContext)(),
    match = _useMediaContext2.match,
    query = _useMediaContext2.query,
    isFirstRender = _useMediaContext2.isFirstRender;
  var showMismatchComponent = isFirstRender || !match;
  if (!showMismatchComponent) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_StyledMedia.StyledMedia, _extends({
    mismatch: query
  }, props, {
    children: children
  }));
};