"use strict";

exports.__esModule = true;
exports.useMediaContext = exports.mediaQueries = exports.MediaContextProvider = void 0;
var _react = require("react");
var _useMedia = require("../useMedia");
var _jsxRuntime = require("react/jsx-runtime");
var mediaQueries = exports.mediaQueries = {
  mobile: '(max-width: 32.4375em)',
  //519px
  touch: '(max-width: 64em)',
  // 1024px
  desktop: '(min-width: 64.0625em)' // 1025px
};
var MediaContext = /*#__PURE__*/(0, _react.createContext)(undefined);
var useMediaContext = exports.useMediaContext = function useMediaContext() {
  var context = (0, _react.useContext)(MediaContext);
  if (context === undefined) {
    throw new Error('useMediaContext was used outside of its provider');
  }
  return context;
};
var MediaContextProvider = exports.MediaContextProvider = function MediaContextProvider(_ref) {
  var query = _ref.query,
    children = _ref.children;
  var _useState = (0, _react.useState)(true),
    isFirstRender = _useState[0],
    setFirstRender = _useState[1];
  var match = (0, _useMedia.useMedia)(mediaQueries[query]);
  (0, _react.useEffect)(function () {
    setFirstRender(false);
  }, []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(MediaContext.Provider, {
    value: {
      match: match,
      query: query,
      isFirstRender: isFirstRender
    },
    children: children
  });
};