"use strict";

exports.__esModule = true;
exports.Radio = void 0;
var _react = require("react");
var _theme = require("../../../theme");
var _Flex = require("../Flex");
var _GhostIconButton = require("../GhostIconButton");
var _Tooltip = require("../Tooltip");
var _Typography = require("../Typography");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["buttonLabel"],
  _excluded2 = ["text", "lineHeight"],
  _excluded3 = ["className", "css", "icon", "label", "tooltip"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var IconBox = (0, _theme.styled)('div', {
  display: 'grid',
  marginRight: '$200'
});
var RadioLabel = (0, _theme.styled)(_Typography.Typography, {
  alignItems: 'center',
  display: 'flex'
});
var StyledRadio = (0, _theme.styled)('input', {
  '-webkit-appearance': 'none',
  appearance: 'none',
  margin: 0,
  backgroundColor: '$white',
  cursor: 'pointer',
  display: 'grid',
  placeContent: 'center',
  borderWidth: '$thin',
  borderStyle: 'solid',
  borderColor: '$gray50',
  borderRadius: '$circle',
  height: '1.5rem',
  width: '1.5rem',
  flexShrink: 0,
  '&:focus-visible': {
    outlineWidth: '$borderWidths$hairline',
    outlineStyle: 'solid',
    outlineColor: '$green60'
  },
  '&::before': {
    content: '',
    width: '1rem',
    height: '1rem',
    borderRadius: '$circle',
    transform: 'scale(0)',
    transition: '120ms transform ease-in-out',
    boxShadow: 'inset 1rem 1rem $colors$green60'
  },
  '&:checked:enabled': {
    borderColor: '$green60',
    cursor: 'default',
    '& + label': {
      cursor: 'default'
    }
  },
  '&:checked::before': {
    transform: 'scale(1)'
  },
  '&:checked:disabled::before': {
    boxShadow: 'inset 1rem 1rem $colors$gray40'
  },
  '&:disabled': {
    backgroundColor: '$gray30',
    borderColor: '$gray40',
    cursor: 'not-allowed',
    '& + label': {
      cursor: 'not-allowed'
    }
  },
  '@hoverBased': {
    '&:hover:enabled': {
      backgroundColor: 'transparent',
      borderColor: '$green60'
    },
    '&:hover:enabled::after': {
      content: '',
      width: '2.5rem',
      height: '2.5rem',
      borderRadius: '$circle',
      boxShadow: 'inset 2.5rem 2.5rem $colors$gray20',
      position: 'absolute',
      zIndex: '-1',
      transform: 'translate(-23%, -22%)'
    }
  },
  '& + label': {
    cursor: 'pointer'
  },
  variants: {
    withIcon: {
      "true": {
        marginRight: '$400'
      },
      "false": {
        marginRight: '$300'
      }
    }
  }
});
function RadioTooltip(_ref) {
  var buttonLabel = _ref.buttonLabel,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Tooltip.Tooltip, _extends({}, props, {
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_GhostIconButton.GhostIconButton, {
      icon: "question-circle",
      label: buttonLabel,
      css: {
        cursor: 'default',
        marginLeft: '$200'
      }
    })
  }));
}
var Radio = exports.Radio = /*#__PURE__*/(0, _react.forwardRef)(function (props, ref) {
  var _rest$id;
  var className = props.className,
    css = props.css,
    icon = props.icon,
    _props$label = props.label,
    text = _props$label.text,
    _props$label$lineHeig = _props$label.lineHeight,
    lineHeight = _props$label$lineHeig === void 0 ? 'tight' : _props$label$lineHeig,
    labelProps = _objectWithoutPropertiesLoose(_props$label, _excluded2),
    tooltip = props.tooltip,
    rest = _objectWithoutPropertiesLoose(props, _excluded3);
  var id = (0, _react.useId)();
  var radioId = (_rest$id = rest.id) != null ? _rest$id : id;
  var labelColor = rest.disabled ? 'gray40' : labelProps.color;
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Flex.Flex, {
    align: "center",
    className: className,
    css: css,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(StyledRadio, _extends({
      type: "radio"
    }, rest, {
      id: radioId,
      withIcon: Boolean(icon),
      ref: ref
    })), /*#__PURE__*/(0, _jsxRuntime.jsxs)(RadioLabel, _extends({}, labelProps, {
      htmlFor: radioId,
      lineHeight: lineHeight,
      color: labelColor,
      as: "label",
      children: [icon && /*#__PURE__*/(0, _jsxRuntime.jsx)(IconBox, {
        css: {
          color: "$" + labelColor
        },
        children: icon
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
        children: text
      })]
    })), tooltip && /*#__PURE__*/(0, _jsxRuntime.jsx)(RadioTooltip, _extends({}, tooltip))]
  });
});
Radio.displayName = 'Radio';