"use strict";

exports.__esModule = true;
exports.Overlay = void 0;
var _react = require("react");
var _theme = require("../../../theme");
var _jsxRuntime = require("react/jsx-runtime");
/**
 * The overlay mechanism can be removed when the issue
 * https://github.com/radix-ui/primitives/issues/1658 is resolved
 */var StyledOverlay = (0, _theme.styled)('div', {
  position: 'fixed',
  inset: 0,
  zIndex: '$400',
  isolation: 'isolate'
});
var Overlay = exports.Overlay = function Overlay(_ref) {
  var open = _ref.open;
  var _useState = (0, _react.useState)(false),
    visible = _useState[0],
    setVisible = _useState[1];
  (0, _react.useEffect)(function () {
    var timer = setTimeout(function () {
      setVisible(open);
    }, 300);
    return function () {
      clearTimeout(timer);
    };
  }, [open]);
  if (!visible) {
    return null;
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledOverlay, {
    onClick: function onClick(event) {
      return event.stopPropagation();
    },
    "data-testid": "select-overlay"
  });
};