"use strict";

exports.__esModule = true;
exports.ForceSkeletonDisplay = void 0;
exports.Skeleton = Skeleton;
exports.skeletonContainer = exports.StyledSkeleton = exports.SkeletonContainer = void 0;
var _theme = require("../../../theme");
var _Box = require("../Box");
var _jsxRuntime = require("react/jsx-runtime");
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
var heartbeat = (0, _theme.keyframes)({
  '0%': {
    opacity: '0.1'
  },
  '50%': {
    opacity: '0.25'
  },
  '100%': {
    opacity: '0.1'
  }
});
var commonStyle = {
  backgroundColor: '$gray30',
  animation: "1.5s " + heartbeat + " ease infinite"
};
var StyledSkeleton = exports.StyledSkeleton = (0, _theme.styled)('div', commonStyle, {
  width: '100%',
  variants: {
    variant: {
      text: {
        borderRadius: '$100'
      },
      circular: {
        borderRadius: '$circle'
      },
      rectangular: {
        borderRadius: 'unset'
      }
    }
  },
  defaultVariants: {
    variant: 'text'
  }
});
var skeletonContainer = exports.skeletonContainer = {
  variants: {
    showSkeleton: {
      "true": {
        '.skeleton-text': _extends({}, commonStyle, {
          borderRadius: '$100',
          color: 'transparent'
        })
      }
    }
  }
};
function Skeleton(props) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledSkeleton, _extends({
    "data-testid": "skeleton"
  }, props));
}
var SkeletonContainer = exports.SkeletonContainer = (0, _theme.styled)(_Box.Box, skeletonContainer);

/**
 * A helper component, must be used only in Storybook
 *
 * It allows us to force the display of the validation layout,
 * if it uses the skeleton structure based on classnames
 */
var ForceSkeletonDisplay = exports.ForceSkeletonDisplay = (0, _theme.styled)(_Box.Box, skeletonContainer, {
  defaultVariants: {
    showSkeleton: true
  }
});