"use strict";

exports.__esModule = true;
exports.TextDivider = void 0;
var _theme = require("../../../theme");
var _Typography = require("../Typography");
/**
 * Use the TextDivider component to quickly create a divider with text in the middle.
 * For more complex implementations, custom CSS may be necessary.
 *
 * @example
 * <TextDivider color="gray50" weight="medium">Your text here</TextDivider>
 */

var TextDivider = exports.TextDivider = (0, _theme.styled)(_Typography.Typography, {
  display: 'flex',
  '&:after, &:before': {
    content: '',
    flex: '1 1',
    borderBottomStyle: 'solid',
    borderBottomWidth: '$thin',
    borderBottomColor: '$gray30',
    margin: 'auto'
  },
  '&:after': {
    marginLeft: '$300'
  },
  '&:before': {
    marginRight: '$300'
  }
});