"use strict";

exports.__esModule = true;
exports.ToastDescription = exports.ToastClose = exports.ToastAction = exports.Toast = void 0;
exports.ToastList = ToastList;
var _reactToast = require("@radix-ui/react-toast");
var _icons = require("../../../icons");
var _theme = require("../../../theme");
var _GhostIconButton = require("../GhostIconButton");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["children", "provider"],
  _excluded2 = ["children", "title", "icon", "closeButtonProps"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var focusOutline = {
  '&:focus-visible': {
    borderRadius: '$100',
    outlineWidth: '$borderWidths$medium',
    outlineStyle: 'solid',
    outlineColor: '$gray50'
  }
};
var VIEWPORT_PADDING = 'var(--space-200)';
var hide = (0, _theme.keyframes)({
  '0%': {
    opacity: 1
  },
  '100%': {
    opacity: 0
  }
});
var slideIn = (0, _theme.keyframes)({
  from: {
    transform: "translateX(calc(100% + " + VIEWPORT_PADDING + "))"
  },
  to: {
    transform: 'translateX(0)'
  }
});
var swipeOut = (0, _theme.keyframes)({
  from: {
    transform: 'translateX(var(--radix-toast-swipe-end-x))'
  },
  to: {
    transform: "translateX(calc(100% + " + VIEWPORT_PADDING + "))"
  }
});
var StyledRoot = (0, _theme.styled)(_reactToast.Root, focusOutline, {
  fontFamily: '$main',
  backgroundColor: '$white',
  borderWidth: '$thin',
  borderStyle: 'solid',
  borderColor: '$gray30',
  borderRadius: '$200',
  borderLeftWidth: '8px',
  color: '$gray50',
  display: 'flex',
  flexDirection: 'column',
  gap: '$200',
  padding: "$200 $200 $800 $400",
  minHeight: '5.5rem',
  width: 'min(28rem, 100%)',
  '.toast-icon': {
    flexShrink: 0
  },
  defaultVariants: {
    status: 'default'
  },
  variants: {
    status: {
      "default": {},
      error: {
        borderLeftColor: '$red40'
      },
      success: {
        borderLeftColor: '$green60'
      },
      alert: {
        borderLeftColor: '$yellow40'
      }
    }
  },
  '@prefersMotion': {
    '&[data-state="open"]': {
      animation: slideIn + " 150ms cubic-bezier(0.16, 1, 0.3, 1)"
    },
    '&[data-state="closed"]': {
      animation: hide + " 100ms ease-in forwards"
    },
    '&[data-swipe="move"]': {
      transform: 'translateX(var(--radix-toast-swipe-move-x))'
    },
    '&[data-swipe="cancel"]': {
      transform: 'translateX(0)',
      transition: 'transform 200ms ease-out'
    },
    '&[data-swipe="end"]': {
      animation: swipeOut + " 100ms ease-out forwards"
    }
  }
});
var StyledTitle = (0, _theme.styled)(_reactToast.Title, {
  display: 'flex',
  alignItems: 'center',
  fontWeight: '$medium',
  gap: '$400'
});
var Content = (0, _theme.styled)('div', {
  display: 'flex',
  flexDirection: 'column',
  gap: '$200',
  paddingRight: '$400'
});
var CloseButton = (0, _theme.styled)(_GhostIconButton.GhostIconButton, {
  display: 'grid',
  marginLeft: 'auto'
});
var StyledViewport = (0, _theme.styled)(_reactToast.Viewport, {
  position: 'fixed',
  display: 'grid',
  padding: '$600',
  gap: '$300',
  width: 'auto',
  maxWidth: '28rem',
  margin: 0,
  listStyle: 'none',
  zIndex: '$max',
  outline: 'none',
  boxSizing: 'content-box',
  defaultVariants: {
    corner: 'top-right'
  },
  variants: {
    corner: {
      'top-right': {
        top: 0,
        right: 0
      },
      'bottom-right': {
        bottom: 0,
        right: 0
      }
    }
  }
});
function ToastList(_ref) {
  var children = _ref.children,
    provider = _ref.provider,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactToast.Provider, _extends({}, provider, {
    children: [children, /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledViewport, _extends({}, props))]
  }));
}
var Toast = exports.Toast = function Toast(_ref2) {
  var children = _ref2.children,
    title = _ref2.title,
    icon = _ref2.icon,
    closeButtonProps = _ref2.closeButtonProps,
    props = _objectWithoutPropertiesLoose(_ref2, _excluded2);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(StyledRoot, _extends({}, props, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_reactToast.Close, {
      asChild: true,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(CloseButton, _extends({
        icon: "close",
        label: "fechar notifica\xE7\xE3o",
        fill: "gray50"
      }, closeButtonProps))
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(Content, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(StyledTitle, {
        className: "toast-title",
        children: [icon && /*#__PURE__*/(0, _jsxRuntime.jsx)(_icons.Icon, _extends({
          size: "600",
          className: "toast-icon"
        }, icon)), title]
      }), children]
    })]
  }));
};
var ToastDescription = exports.ToastDescription = _reactToast.Description;
var ToastAction = exports.ToastAction = _reactToast.Action;
var ToastClose = exports.ToastClose = _reactToast.Close;