"use strict";

exports.__esModule = true;
exports.toast = exports.ToastProvider = void 0;
var _reactToast = require("@radix-ui/react-toast");
var _contexts = require("../../contexts");
var _Toast = require("./Toast");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["id", "onOpenChange", "description"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var globalToastList = (0, _contexts.atom)([]);
var toast = exports.toast = function toast(_toast) {
  globalToastList.setState(function (prevToastList) {
    return prevToastList.concat(_toast);
  });
};
var ToastProvider = exports.ToastProvider = function ToastProvider(_ref) {
  var children = _ref.children;
  var _useAtom = (0, _contexts.useAtom)(globalToastList),
    toastList = _useAtom[0],
    setToastList = _useAtom[1];
  var hideToast = function hideToast(toast) {
    setToastList(function (prevToastList) {
      return prevToastList.filter(function (ref) {
        return ref !== toast;
      });
    });
  };
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [!!toastList.length && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Toast.ToastList, {
      children: toastList.map(function (toast, key) {
        var id = toast.id,
          _onOpenChange = toast.onOpenChange,
          description = toast.description,
          props = _objectWithoutPropertiesLoose(toast, _excluded);
        return /*#__PURE__*/(0, _jsxRuntime.jsx)(_Toast.Toast, _extends({}, props, {
          onOpenChange: function onOpenChange(open) {
            hideToast(toast);
            _onOpenChange == null || _onOpenChange(open);
          },
          children: description && /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactToast.ToastDescription, {
            children: description
          })
        }), id + "-" + key);
      })
    }), children]
  });
};