"use strict";

exports.__esModule = true;
exports.Icon = void 0;
var _react = require("react");
var _theme = require("../theme");
var _sprites = _interopRequireDefault(require("./sprites.svg"));
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["label"];
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
var rotate = (0, _theme.keyframes)({
  from: {
    transform: 'rotate(0deg)'
  },
  to: {
    transform: 'rotate(359deg)'
  }
});
var StyledIcon = (0, _theme.styled)('svg', {
  width: '1em',
  height: '1em',
  defaultVariants: {
    size: 400,
    fill: 'currentColor'
  },
  variants: {
    size: {
      inherit: {
        fontSize: 'inherit'
      },
      100: {
        fontSize: '$100'
      },
      200: {
        fontSize: '$200'
      },
      300: {
        fontSize: '$300'
      },
      400: {
        fontSize: '$400'
      },
      500: {
        fontSize: '$500'
      },
      600: {
        fontSize: '$600'
      },
      700: {
        fontSize: '$700'
      }
    },
    fill: {
      currentColor: {
        fill: 'currentColor'
      },
      green20: {
        fill: '$green20'
      },
      green30: {
        fill: '$green30'
      },
      green40: {
        fill: '$green40'
      },
      green60: {
        fill: '$green60'
      },
      white: {
        fill: '$white'
      },
      gray10: {
        fill: '$gray10'
      },
      gray20: {
        fill: '$gray20'
      },
      gray30: {
        fill: '$gray30'
      },
      gray40: {
        fill: '$gray40'
      },
      gray50: {
        fill: '$gray50'
      },
      black: {
        fill: '$black'
      },
      red40: {
        fill: '$red40'
      },
      yellow90: {
        fill: '$yellow90'
      },
      blue90: {
        fill: '$blue90'
      }
    },
    animate: {
      rotate: {
        animation: rotate + " 2s infinite linear"
      }
    }
  }
});
var Icon = exports.Icon = /*#__PURE__*/(0, _react.forwardRef)(function (_ref, ref) {
  var label = _ref.label,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(StyledIcon, _extends({
    ref: ref
  }, props, {
    "data-testid": "icon-" + label,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("use", {
      href: _sprites["default"] + "#icon-" + label,
      "data-testid": "use-icon"
    })
  }));
});
Icon.displayName = 'Icon';