"use strict";

exports.__esModule = true;
var _exportNames = {
  render: true
};
exports.render = void 0;
var _react = require("@testing-library/react");
Object.keys(_react).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _react[key]) return;
  exports[key] = _react[key];
});
var _userEvent = _interopRequireDefault(require("@testing-library/user-event"));
var _ = require("..");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["userEventSetup", "tooltipProvider"];
function _interopRequireDefault(e) { return e && e.__esModule ? e : { "default": e }; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (e.indexOf(n) >= 0) continue; t[n] = r[n]; } return t; }
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
var Wrapper = function Wrapper(_ref) {
  var children = _ref.children,
    tooltipProvider = _ref.tooltipProvider;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_.TooltipProvider, _extends({}, tooltipProvider, {
    children: children
  }));
};
var customRender = exports.render = function customRender(ui, _temp) {
  var _ref2 = _temp === void 0 ? {} : _temp,
    userEventSetup = _ref2.userEventSetup,
    tooltipProvider = _ref2.tooltipProvider,
    options = _objectWithoutPropertiesLoose(_ref2, _excluded);
  return _extends({
    user: _userEvent["default"].setup(userEventSetup)
  }, (0, _react.render)(ui, _extends({
    wrapper: function wrapper(props) {
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(Wrapper, _extends({
        tooltipProvider: tooltipProvider
      }, props));
    }
  }, options)));
};

/**
 * Defines a custom render method that includes things like global context providers
 *
 * @see https://testing-library.com/docs/react-testing-library/setup/#custom-render
 */