import { CSS as StitchesCSS } from '@stitches/react';
export type { VariantProps } from '@stitches/react';
export type { $$StyledComponentProps } from '@stitches/react/types/styled-component';
export type CSS = StitchesCSS<typeof config>;
export declare const styled: {
    withConfig: (config: {
        componentId?: string;
        displayName?: string;
        shouldForwardStitchesProp?: (prop: "css" | (string & {})) => boolean | void;
    }) => import("@stitches/react/types/stitches").StyledFunctionType<{
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    }, {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green10: string;
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red10: string;
            red40: string;
            red60: string;
            yellow10: string;
            yellow40: string;
            yellow90: string;
            blue10: string;
            blue90: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} & import("@stitches/react/types/stitches").StyledFunctionType<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>, css: {
    withConfig: (config: {
        componentId?: string;
        displayName?: string;
        shouldForwardStitchesProp?: (prop: "css" | (string & {})) => boolean | void;
    }) => import("@stitches/react/types/stitches").CssFunctionType<{
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    }, {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green10: string;
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red10: string;
            red40: string;
            red60: string;
            yellow10: string;
            yellow40: string;
            yellow90: string;
            blue10: string;
            blue90: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} & import("@stitches/react/types/stitches").CssFunctionType<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>, globalCss: <Styles extends {
    [K: string]: any;
}>(...styles: ({
    '@import'?: unknown;
    '@font-face'?: unknown;
} & { [K in keyof Styles]: K extends "@import" ? string | string[] : K extends "@font-face" ? import("@stitches/react/types/css").AtRule.FontFace | import("@stitches/react/types/css").AtRule.FontFace[] : K extends `@keyframes ${string}` ? {
    [x: string]: import("@stitches/react/types/css-util").CSS<{
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    }, {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green10: string;
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red10: string;
            red40: string;
            red60: string;
            yellow10: string;
            yellow40: string;
            yellow90: string;
            blue10: string;
            blue90: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
} : K extends `@property ${string}` ? import("@stitches/react/types/css").AtRule.Property : import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>; })[]) => {
    (): string;
}, keyframes: (style: {
    [offset: string]: import("@stitches/react/types/css-util").CSS<{
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    }, {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green10: string;
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red10: string;
            red40: string;
            red60: string;
            yellow10: string;
            yellow40: string;
            yellow90: string;
            blue10: string;
            blue90: string;
        };
    }, import("@stitches/react/types/config").DefaultThemeMap, {}>;
}) => {
    (): string;
    name: string;
}, getCssText: () => string, theme: string & {
    className: string;
    selector: string;
} & {
    fonts: {
        main: import("@stitches/react/types/theme").Token<"main", string, "fonts", "">;
    };
    space: {
        100: import("@stitches/react/types/theme").Token<"100", string, "space", "">;
        200: import("@stitches/react/types/theme").Token<"200", string, "space", "">;
        300: import("@stitches/react/types/theme").Token<"300", string, "space", "">;
        400: import("@stitches/react/types/theme").Token<"400", string, "space", "">;
        500: import("@stitches/react/types/theme").Token<"500", string, "space", "">;
        600: import("@stitches/react/types/theme").Token<"600", string, "space", "">;
        700: import("@stitches/react/types/theme").Token<"700", string, "space", "">;
        800: import("@stitches/react/types/theme").Token<"800", string, "space", "">;
        900: import("@stitches/react/types/theme").Token<"900", string, "space", "">;
        1000: import("@stitches/react/types/theme").Token<"1000", string, "space", "">;
        1100: import("@stitches/react/types/theme").Token<"1100", string, "space", "">;
        1200: import("@stitches/react/types/theme").Token<"1200", string, "space", "">;
        1300: import("@stitches/react/types/theme").Token<"1300", string, "space", "">;
        1400: import("@stitches/react/types/theme").Token<"1400", string, "space", "">;
        1500: import("@stitches/react/types/theme").Token<"1500", string, "space", "">;
        1600: import("@stitches/react/types/theme").Token<"1600", string, "space", "">;
    };
    fontSizes: {
        100: import("@stitches/react/types/theme").Token<"100", string, "fontSizes", "">;
        200: import("@stitches/react/types/theme").Token<"200", string, "fontSizes", "">;
        300: import("@stitches/react/types/theme").Token<"300", string, "fontSizes", "">;
        400: import("@stitches/react/types/theme").Token<"400", string, "fontSizes", "">;
        500: import("@stitches/react/types/theme").Token<"500", string, "fontSizes", "">;
        600: import("@stitches/react/types/theme").Token<"600", string, "fontSizes", "">;
        700: import("@stitches/react/types/theme").Token<"700", string, "fontSizes", "">;
    };
    fontWeights: {
        regular: import("@stitches/react/types/theme").Token<"regular", string, "fontWeights", "">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "fontWeights", "">;
        bold: import("@stitches/react/types/theme").Token<"bold", string, "fontWeights", "">;
    };
    radii: {
        circle: import("@stitches/react/types/theme").Token<"circle", string, "radii", "">;
        pill: import("@stitches/react/types/theme").Token<"pill", string, "radii", "">;
        100: import("@stitches/react/types/theme").Token<"100", string, "radii", "">;
        200: import("@stitches/react/types/theme").Token<"200", string, "radii", "">;
        300: import("@stitches/react/types/theme").Token<"300", string, "radii", "">;
    };
    lineHeights: {
        tight: import("@stitches/react/types/theme").Token<"tight", string, "lineHeights", "">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "lineHeights", "">;
        large: import("@stitches/react/types/theme").Token<"large", string, "lineHeights", "">;
    };
    borderWidths: {
        thin: import("@stitches/react/types/theme").Token<"thin", string, "borderWidths", "">;
        medium: import("@stitches/react/types/theme").Token<"medium", string, "borderWidths", "">;
        large: import("@stitches/react/types/theme").Token<"large", string, "borderWidths", "">;
    };
    zIndices: {
        100: import("@stitches/react/types/theme").Token<"100", string, "zIndices", "">;
        200: import("@stitches/react/types/theme").Token<"200", string, "zIndices", "">;
        300: import("@stitches/react/types/theme").Token<"300", string, "zIndices", "">;
        400: import("@stitches/react/types/theme").Token<"400", string, "zIndices", "">;
        max: import("@stitches/react/types/theme").Token<"max", string, "zIndices", "">;
    };
    shadows: {
        red40: import("@stitches/react/types/theme").Token<"red40", string, "shadows", "">;
        green40: import("@stitches/react/types/theme").Token<"green40", string, "shadows", "">;
        gray40: import("@stitches/react/types/theme").Token<"gray40", string, "shadows", "">;
    };
    colors: {
        green10: import("@stitches/react/types/theme").Token<"green10", string, "colors", "">;
        green20: import("@stitches/react/types/theme").Token<"green20", string, "colors", "">;
        green30: import("@stitches/react/types/theme").Token<"green30", string, "colors", "">;
        green40: import("@stitches/react/types/theme").Token<"green40", string, "colors", "">;
        green60: import("@stitches/react/types/theme").Token<"green60", string, "colors", "">;
        white: import("@stitches/react/types/theme").Token<"white", string, "colors", "">;
        gray10: import("@stitches/react/types/theme").Token<"gray10", string, "colors", "">;
        gray20: import("@stitches/react/types/theme").Token<"gray20", string, "colors", "">;
        gray30: import("@stitches/react/types/theme").Token<"gray30", string, "colors", "">;
        gray40: import("@stitches/react/types/theme").Token<"gray40", string, "colors", "">;
        gray50: import("@stitches/react/types/theme").Token<"gray50", string, "colors", "">;
        black: import("@stitches/react/types/theme").Token<"black", string, "colors", "">;
        red10: import("@stitches/react/types/theme").Token<"red10", string, "colors", "">;
        red40: import("@stitches/react/types/theme").Token<"red40", string, "colors", "">;
        red60: import("@stitches/react/types/theme").Token<"red60", string, "colors", "">;
        yellow10: import("@stitches/react/types/theme").Token<"yellow10", string, "colors", "">;
        yellow40: import("@stitches/react/types/theme").Token<"yellow40", string, "colors", "">;
        yellow90: import("@stitches/react/types/theme").Token<"yellow90", string, "colors", "">;
        blue10: import("@stitches/react/types/theme").Token<"blue10", string, "colors", "">;
        blue90: import("@stitches/react/types/theme").Token<"blue90", string, "colors", "">;
    };
}, createTheme: <Argument0 extends string | ({
    fonts?: {
        main?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
        800?: string | number | boolean | undefined;
        900?: string | number | boolean | undefined;
        1000?: string | number | boolean | undefined;
        1100?: string | number | boolean | undefined;
        1200?: string | number | boolean | undefined;
        1300?: string | number | boolean | undefined;
        1400?: string | number | boolean | undefined;
        1500?: string | number | boolean | undefined;
        1600?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        regular?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        bold?: string | number | boolean | undefined;
    } | undefined;
    radii?: {
        circle?: string | number | boolean | undefined;
        pill?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
    } | undefined;
    lineHeights?: {
        tight?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    borderWidths?: {
        thin?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    zIndices?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        max?: string | number | boolean | undefined;
    } | undefined;
    shadows?: {
        red40?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
    } | undefined;
    colors?: {
        green10?: string | number | boolean | undefined;
        green20?: string | number | boolean | undefined;
        green30?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        green60?: string | number | boolean | undefined;
        white?: string | number | boolean | undefined;
        gray10?: string | number | boolean | undefined;
        gray20?: string | number | boolean | undefined;
        gray30?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
        gray50?: string | number | boolean | undefined;
        black?: string | number | boolean | undefined;
        red10?: string | number | boolean | undefined;
        red40?: string | number | boolean | undefined;
        red60?: string | number | boolean | undefined;
        yellow10?: string | number | boolean | undefined;
        yellow40?: string | number | boolean | undefined;
        yellow90?: string | number | boolean | undefined;
        blue10?: string | number | boolean | undefined;
        blue90?: string | number | boolean | undefined;
    } | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
}), Argument1 extends string | ({
    fonts?: {
        main?: string | number | boolean | undefined;
    } | undefined;
    space?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
        800?: string | number | boolean | undefined;
        900?: string | number | boolean | undefined;
        1000?: string | number | boolean | undefined;
        1100?: string | number | boolean | undefined;
        1200?: string | number | boolean | undefined;
        1300?: string | number | boolean | undefined;
        1400?: string | number | boolean | undefined;
        1500?: string | number | boolean | undefined;
        1600?: string | number | boolean | undefined;
    } | undefined;
    fontSizes?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        500?: string | number | boolean | undefined;
        600?: string | number | boolean | undefined;
        700?: string | number | boolean | undefined;
    } | undefined;
    fontWeights?: {
        regular?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        bold?: string | number | boolean | undefined;
    } | undefined;
    radii?: {
        circle?: string | number | boolean | undefined;
        pill?: string | number | boolean | undefined;
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
    } | undefined;
    lineHeights?: {
        tight?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    borderWidths?: {
        thin?: string | number | boolean | undefined;
        medium?: string | number | boolean | undefined;
        large?: string | number | boolean | undefined;
    } | undefined;
    zIndices?: {
        100?: string | number | boolean | undefined;
        200?: string | number | boolean | undefined;
        300?: string | number | boolean | undefined;
        400?: string | number | boolean | undefined;
        max?: string | number | boolean | undefined;
    } | undefined;
    shadows?: {
        red40?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
    } | undefined;
    colors?: {
        green10?: string | number | boolean | undefined;
        green20?: string | number | boolean | undefined;
        green30?: string | number | boolean | undefined;
        green40?: string | number | boolean | undefined;
        green60?: string | number | boolean | undefined;
        white?: string | number | boolean | undefined;
        gray10?: string | number | boolean | undefined;
        gray20?: string | number | boolean | undefined;
        gray30?: string | number | boolean | undefined;
        gray40?: string | number | boolean | undefined;
        gray50?: string | number | boolean | undefined;
        black?: string | number | boolean | undefined;
        red10?: string | number | boolean | undefined;
        red40?: string | number | boolean | undefined;
        red60?: string | number | boolean | undefined;
        yellow10?: string | number | boolean | undefined;
        yellow40?: string | number | boolean | undefined;
        yellow90?: string | number | boolean | undefined;
        blue10?: string | number | boolean | undefined;
        blue90?: string | number | boolean | undefined;
    } | undefined;
} & {
    [x: string]: {
        [x: string]: string | number | boolean;
        [x: number]: string | number | boolean;
    };
})>(nameOrScalesArg0: Argument0, nameOrScalesArg1?: Argument1 | undefined) => string & {
    className: string;
    selector: string;
} & (Argument0 extends string ? import("@stitches/react/types/stitches").ThemeTokens<Argument1, ""> : import("@stitches/react/types/stitches").ThemeTokens<Argument0, "">), config: {
    prefix: "";
    media: {
        mobile: "(max-width: 32.4375em)";
        tablet: "(min-width: 32.5em)";
        touch: "(max-width: 64em)";
        desktop: "(min-width: 64.0625em)";
        prefersMotion: "(prefers-reduced-motion: no-preference)";
        hoverBased: "(hover: hover)";
        hoverNone: "(hover: none)";
    };
    theme: {
        fonts: {
            main: string;
        };
        space: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
            1000: string;
            1100: string;
            1200: string;
            1300: string;
            1400: string;
            1500: string;
            1600: string;
        };
        fontSizes: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
        };
        fontWeights: {
            regular: number;
            medium: number;
            bold: number;
        };
        radii: {
            circle: string;
            pill: string;
            100: string;
            200: string;
            300: string;
        };
        lineHeights: {
            tight: number;
            medium: number;
            large: number;
        };
        borderWidths: {
            thin: string;
            medium: string;
            large: string;
        };
        zIndices: {
            100: string;
            200: string;
            300: string;
            400: string;
            max: string;
        };
        shadows: {
            red40: string;
            green40: string;
            gray40: string;
        };
        colors: {
            green10: string;
            green20: string;
            green30: string;
            green40: string;
            green60: string;
            white: string;
            gray10: string;
            gray20: string;
            gray30: string;
            gray40: string;
            gray50: string;
            black: string;
            red10: string;
            red40: string;
            red60: string;
            yellow10: string;
            yellow40: string;
            yellow90: string;
            blue10: string;
            blue90: string;
        };
    };
    themeMap: import("@stitches/react/types/config").DefaultThemeMap;
    utils: {};
}, reset: () => void;
export declare const globalStyles: () => string;
