import { ComponentProps } from 'react';
export declare const StyledSkeleton: import("@stitches/react/types/styled-component").StyledComponent<"div", {
    variant?: "text" | "circular" | "rectangular" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
export declare const skeletonContainer: {
    readonly variants: {
        readonly showSkeleton: {
            readonly true: {
                readonly '.skeleton-text': {
                    readonly borderRadius: "$100";
                    readonly color: "transparent";
                    readonly "@mobile"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly "@tablet"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly "@touch"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly "@desktop"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly "@prefersMotion"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly "@hoverBased"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly "@hoverNone"?: import("@stitches/react/types/css-util").CSS<{
                        mobile: "(max-width: 32.4375em)";
                        tablet: "(min-width: 32.5em)";
                        touch: "(max-width: 64em)";
                        desktop: "(min-width: 64.0625em)";
                        prefersMotion: "(prefers-reduced-motion: no-preference)";
                        hoverBased: "(hover: hover)";
                        hoverNone: "(hover: none)";
                    }, {
                        fonts: {
                            main: string;
                        };
                        space: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                            800: string;
                            900: string;
                            1000: string;
                            1100: string;
                            1200: string;
                            1300: string;
                            1400: string;
                            1500: string;
                            1600: string;
                        };
                        fontSizes: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            500: string;
                            600: string;
                            700: string;
                        };
                        fontWeights: {
                            regular: number;
                            medium: number;
                            bold: number;
                        };
                        radii: {
                            circle: string;
                            pill: string;
                            100: string;
                            200: string;
                            300: string;
                        };
                        lineHeights: {
                            tight: number;
                            medium: number;
                            large: number;
                        };
                        borderWidths: {
                            thin: string;
                            medium: string;
                            large: string;
                        };
                        zIndices: {
                            100: string;
                            200: string;
                            300: string;
                            400: string;
                            max: string;
                        };
                        shadows: {
                            red40: string;
                            green40: string;
                            gray40: string;
                        };
                        colors: {
                            green10: string;
                            green20: string;
                            green30: string;
                            green40: string;
                            green60: string;
                            white: string;
                            gray10: string;
                            gray20: string;
                            gray30: string;
                            gray40: string;
                            gray50: string;
                            black: string;
                            red10: string;
                            red40: string;
                            red60: string;
                            yellow10: string;
                            yellow40: string;
                            yellow90: string;
                            blue10: string;
                            blue90: string;
                        };
                    }, import("@stitches/react/types/config").DefaultThemeMap, {}> | undefined;
                    readonly alignContent?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AlignContent | undefined;
                    readonly alignItems?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AlignItems | undefined;
                    readonly alignSelf?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AlignSelf | undefined;
                    readonly alignTracks?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AlignTracks | undefined;
                    readonly animationDelay?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyString | undefined;
                    readonly animationDirection?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AnimationDirection | undefined;
                    readonly animationDuration?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyString | undefined;
                    readonly animationFillMode?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AnimationFillMode | undefined;
                    readonly animationIterationCount?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AnimationIterationCount | undefined;
                    readonly animationName?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AnimationName | undefined;
                    readonly animationPlayState?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AnimationPlayState | undefined;
                    readonly animationTimingFunction?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AnimationTimingFunction | undefined;
                    readonly appearance?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Appearance | undefined;
                    readonly aspectRatio?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AspectRatio | undefined;
                    readonly backdropFilter?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackdropFilter | undefined;
                    readonly backfaceVisibility?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackfaceVisibility | undefined;
                    readonly backgroundAttachment?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundAttachment | undefined;
                    readonly backgroundBlendMode?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundBlendMode | undefined;
                    readonly backgroundClip?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundClip | undefined;
                    readonly backgroundColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly backgroundImage?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BackgroundImage | undefined;
                    readonly backgroundOrigin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundOrigin | undefined;
                    readonly backgroundPositionX?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundPositionX | undefined;
                    readonly backgroundPositionY?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundPositionY | undefined;
                    readonly backgroundRepeat?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundRepeat | undefined;
                    readonly backgroundSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundSize | undefined;
                    readonly blockOverflow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BlockOverflow | undefined;
                    readonly blockSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BlockSize | undefined;
                    readonly borderBlockColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderBlockColor | undefined;
                    readonly borderBlockEndColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | undefined;
                    readonly borderBlockEndStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderBlockEndWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly borderBlockStartColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | undefined;
                    readonly borderBlockStartStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderBlockStartWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly borderBlockStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderBlockWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly borderBottomColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly borderBottomLeftRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$circle" | "$pill" | undefined;
                    readonly borderBottomRightRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$circle" | "$pill" | undefined;
                    readonly borderBottomStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderBottomWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | "$medium" | "$large" | "$thin" | undefined;
                    readonly borderCollapse?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderCollapse | undefined;
                    readonly borderEndEndRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderEndStartRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderImageOutset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderImageRepeat?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderImageRepeat | undefined;
                    readonly borderImageSlice?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderImageSource?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderImageSource | undefined;
                    readonly borderImageWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderImageWidth | undefined;
                    readonly borderInlineColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderInlineColor | undefined;
                    readonly borderInlineEndColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | undefined;
                    readonly borderInlineEndStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderInlineEndWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly borderInlineStartColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | undefined;
                    readonly borderInlineStartStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderInlineStartWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly borderInlineStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderInlineWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly borderLeftColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly borderLeftStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderLeftWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | "$medium" | "$large" | "$thin" | undefined;
                    readonly borderRightColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly borderRightStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderRightWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | "$medium" | "$large" | "$thin" | undefined;
                    readonly borderSpacing?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderStartEndRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderStartStartRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly borderTopColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly borderTopLeftRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$circle" | "$pill" | undefined;
                    readonly borderTopRightRadius?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$circle" | "$pill" | undefined;
                    readonly borderTopStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("inset" | "dashed" | "dotted" | "double" | "groove" | "hidden" | "none" | "outset" | "ridge" | "solid") | undefined;
                    readonly borderTopWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | "$medium" | "$large" | "$thin" | undefined;
                    readonly bottom?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.Bottom | undefined;
                    readonly boxDecorationBreak?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BoxDecorationBreak | undefined;
                    readonly boxShadow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | import("@stitches/react/types/css").Property.BoxShadow | undefined;
                    readonly boxSizing?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BoxSizing | undefined;
                    readonly breakAfter?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BreakAfter | undefined;
                    readonly breakBefore?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BreakBefore | undefined;
                    readonly breakInside?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BreakInside | undefined;
                    readonly captionSide?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.CaptionSide | undefined;
                    readonly caretColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.CaretColor | undefined;
                    readonly clear?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Clear | undefined;
                    readonly clipPath?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ClipPath | undefined;
                    readonly colorAdjust?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColorAdjust | undefined;
                    readonly colorScheme?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColorScheme | undefined;
                    readonly columnCount?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnCount | undefined;
                    readonly columnFill?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnFill | undefined;
                    readonly columnGap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ColumnGap | undefined;
                    readonly columnRuleColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly columnRuleStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnRuleStyle | undefined;
                    readonly columnRuleWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnRuleWidth | undefined;
                    readonly columnSpan?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnSpan | undefined;
                    readonly columnWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnWidth | undefined;
                    readonly contain?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Contain | undefined;
                    readonly content?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Content | undefined;
                    readonly contentVisibility?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ContentVisibility | undefined;
                    readonly counterIncrement?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.CounterIncrement | undefined;
                    readonly counterReset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.CounterReset | undefined;
                    readonly counterSet?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.CounterSet | undefined;
                    readonly cursor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Cursor | undefined;
                    readonly direction?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Direction | undefined;
                    readonly display?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Display | undefined;
                    readonly emptyCells?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.EmptyCells | undefined;
                    readonly filter?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Filter | undefined;
                    readonly flexBasis?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FlexBasis | undefined;
                    readonly flexDirection?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FlexDirection | undefined;
                    readonly flexGrow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly flexShrink?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly flexWrap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FlexWrap | undefined;
                    readonly float?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Float | undefined;
                    readonly fontFamily?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontFamily | "$main" | undefined;
                    readonly fontFeatureSettings?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontFeatureSettings | undefined;
                    readonly fontKerning?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontKerning | undefined;
                    readonly fontLanguageOverride?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontLanguageOverride | undefined;
                    readonly fontOpticalSizing?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontOpticalSizing | undefined;
                    readonly fontSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | import("@stitches/react/types/css").Property.FontSize | undefined;
                    readonly fontSizeAdjust?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontSizeAdjust | undefined;
                    readonly fontSmooth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontSmooth | undefined;
                    readonly fontStretch?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | "normal" | "condensed" | "expanded" | "extra-condensed" | "extra-expanded" | "semi-condensed" | "semi-expanded" | "ultra-condensed" | "ultra-expanded") | undefined;
                    readonly fontStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontStyle | undefined;
                    readonly fontSynthesis?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontSynthesis | undefined;
                    readonly fontVariant?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariant | undefined;
                    readonly fontVariantCaps?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariantCaps | undefined;
                    readonly fontVariantEastAsian?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariantEastAsian | undefined;
                    readonly fontVariantLigatures?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariantLigatures | undefined;
                    readonly fontVariantNumeric?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariantNumeric | undefined;
                    readonly fontVariantPosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariantPosition | undefined;
                    readonly fontVariationSettings?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FontVariationSettings | undefined;
                    readonly fontWeight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$medium" | import("@stitches/react/types/css").Property.FontWeight | "$regular" | "$bold" | undefined;
                    readonly forcedColorAdjust?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ForcedColorAdjust | undefined;
                    readonly gridAutoColumns?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridAutoColumns | undefined;
                    readonly gridAutoFlow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridAutoFlow | undefined;
                    readonly gridAutoRows?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridAutoRows | undefined;
                    readonly gridColumnEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("auto" | import("@stitches/react/types/css").OnlyStringNumeric) | undefined;
                    readonly gridColumnStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("auto" | import("@stitches/react/types/css").OnlyStringNumeric) | undefined;
                    readonly gridRowEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("auto" | import("@stitches/react/types/css").OnlyStringNumeric) | undefined;
                    readonly gridRowStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("auto" | import("@stitches/react/types/css").OnlyStringNumeric) | undefined;
                    readonly gridTemplateAreas?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridTemplateAreas | undefined;
                    readonly gridTemplateColumns?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridTemplateColumns | undefined;
                    readonly gridTemplateRows?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridTemplateRows | undefined;
                    readonly gridGap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly hangingPunctuation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.HangingPunctuation | undefined;
                    readonly height?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Height | undefined;
                    readonly hyphens?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Hyphens | undefined;
                    readonly imageOrientation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ImageOrientation | undefined;
                    readonly imageRendering?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ImageRendering | undefined;
                    readonly imageResolution?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ImageResolution | undefined;
                    readonly initialLetter?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.InitialLetter | undefined;
                    readonly inlineSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.InlineSize | undefined;
                    readonly inset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.Inset | undefined;
                    readonly insetBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.InsetBlock | undefined;
                    readonly insetBlockEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.InsetBlockEnd | undefined;
                    readonly insetBlockStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.InsetBlockStart | undefined;
                    readonly insetInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.InsetInline | undefined;
                    readonly insetInlineEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.InsetInlineEnd | undefined;
                    readonly insetInlineStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.InsetInlineStart | undefined;
                    readonly isolation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Isolation | undefined;
                    readonly justifyContent?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.JustifyContent | undefined;
                    readonly justifyItems?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.JustifyItems | undefined;
                    readonly justifySelf?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.JustifySelf | undefined;
                    readonly justifyTracks?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.JustifyTracks | undefined;
                    readonly left?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.Left | undefined;
                    readonly letterSpacing?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.LetterSpacing | undefined;
                    readonly lineBreak?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.LineBreak | undefined;
                    readonly lineHeight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$medium" | "$large" | import("@stitches/react/types/css").Property.LineHeight | "$tight" | undefined;
                    readonly lineHeightStep?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly listStyleImage?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ListStyleImage | undefined;
                    readonly listStylePosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ListStylePosition | undefined;
                    readonly listStyleType?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ListStyleType | undefined;
                    readonly marginBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginBlock | undefined;
                    readonly marginBlockEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginBlockEnd | undefined;
                    readonly marginBlockStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginBlockStart | undefined;
                    readonly marginBottom?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginBottom | undefined;
                    readonly marginInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginInline | undefined;
                    readonly marginInlineEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginInlineEnd | undefined;
                    readonly marginInlineStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginInlineStart | undefined;
                    readonly marginLeft?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginLeft | undefined;
                    readonly marginRight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginRight | undefined;
                    readonly marginTop?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.MarginTop | undefined;
                    readonly maskBorderMode?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskBorderMode | undefined;
                    readonly maskBorderOutset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly maskBorderRepeat?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskBorderRepeat | undefined;
                    readonly maskBorderSlice?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly maskBorderSource?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskBorderSource | undefined;
                    readonly maskBorderWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskBorderWidth | undefined;
                    readonly maskClip?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskClip | undefined;
                    readonly maskComposite?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskComposite | undefined;
                    readonly maskImage?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskImage | undefined;
                    readonly maskMode?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskMode | undefined;
                    readonly maskOrigin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskOrigin | undefined;
                    readonly maskPosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskPosition | undefined;
                    readonly maskRepeat?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskRepeat | undefined;
                    readonly maskSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskSize | undefined;
                    readonly maskType?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskType | undefined;
                    readonly mathStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MathStyle | undefined;
                    readonly maxBlockSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaxBlockSize | undefined;
                    readonly maxHeight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaxHeight | undefined;
                    readonly maxInlineSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaxInlineSize | undefined;
                    readonly maxLines?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaxLines | undefined;
                    readonly maxWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaxWidth | undefined;
                    readonly minBlockSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MinBlockSize | undefined;
                    readonly minHeight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MinHeight | undefined;
                    readonly minInlineSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MinInlineSize | undefined;
                    readonly minWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MinWidth | undefined;
                    readonly mixBlendMode?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("color" | "normal" | "color-burn" | "color-dodge" | "darken" | "difference" | "exclusion" | "hard-light" | "hue" | "lighten" | "luminosity" | "multiply" | "overlay" | "saturation" | "screen" | "soft-light") | undefined;
                    readonly motionDistance?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly motionPath?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OffsetPath | undefined;
                    readonly motionRotation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OffsetRotate | undefined;
                    readonly objectFit?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ObjectFit | undefined;
                    readonly objectPosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("bottom" | "left" | "right" | "top" | import("@stitches/react/types/css").OnlyStringNumeric | "center") | undefined;
                    readonly offsetAnchor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OffsetAnchor | undefined;
                    readonly offsetDistance?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly offsetPath?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OffsetPath | undefined;
                    readonly offsetRotate?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OffsetRotate | undefined;
                    readonly offsetRotation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OffsetRotate | undefined;
                    readonly opacity?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly order?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly orphans?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly outlineColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.OutlineColor | undefined;
                    readonly outlineOffset?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly outlineStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OutlineStyle | undefined;
                    readonly outlineWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (number | "medium" | "thin" | "thick") | undefined;
                    readonly overflowAnchor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowAnchor | undefined;
                    readonly overflowBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowBlock | undefined;
                    readonly overflowClipBox?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowClipBox | undefined;
                    readonly overflowClipMargin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowClipMargin | undefined;
                    readonly overflowInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowInline | undefined;
                    readonly overflowWrap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowWrap | undefined;
                    readonly overflowX?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowX | undefined;
                    readonly overflowY?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverflowY | undefined;
                    readonly overscrollBehaviorBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverscrollBehaviorBlock | undefined;
                    readonly overscrollBehaviorInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverscrollBehaviorInline | undefined;
                    readonly overscrollBehaviorX?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverscrollBehaviorX | undefined;
                    readonly overscrollBehaviorY?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverscrollBehaviorY | undefined;
                    readonly paddingBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingBlockEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingBlockStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingBottom?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingInlineEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingInlineStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingLeft?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingRight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly paddingTop?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly pageBreakAfter?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PageBreakAfter | undefined;
                    readonly pageBreakBefore?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PageBreakBefore | undefined;
                    readonly pageBreakInside?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PageBreakInside | undefined;
                    readonly paintOrder?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PaintOrder | undefined;
                    readonly perspective?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Perspective | undefined;
                    readonly perspectiveOrigin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | ("bottom" | "left" | "right" | "top" | import("@stitches/react/types/css").OnlyStringNumeric | "center") | undefined;
                    readonly placeContent?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PlaceContent | undefined;
                    readonly pointerEvents?: "all" | "fill" | "stroke" | "inherit" | "initial" | "revert" | "unset" | import("@stitches/react/types/theme").ScaleValue | (string & Record<never, never>) | (number & Record<never, never>) | "auto" | "none" | "visible" | "painted" | "visibleFill" | "visiblePainted" | "visibleStroke" | undefined;
                    readonly position?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Position | undefined;
                    readonly quotes?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Quotes | undefined;
                    readonly resize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Resize | undefined;
                    readonly right?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.Right | undefined;
                    readonly rotate?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Rotate | undefined;
                    readonly rowGap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.RowGap | undefined;
                    readonly rubyAlign?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.RubyAlign | undefined;
                    readonly rubyMerge?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.RubyMerge | undefined;
                    readonly rubyPosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.RubyPosition | undefined;
                    readonly scale?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Scale | undefined;
                    readonly scrollBehavior?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollBehavior | undefined;
                    readonly scrollMargin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginBlockEnd?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginBlockStart?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginBottom?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginInlineEnd?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginInlineStart?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginLeft?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginRight?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollMarginTop?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly scrollPadding?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPadding | undefined;
                    readonly scrollPaddingBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingBlock | undefined;
                    readonly scrollPaddingBlockEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingBlockEnd | undefined;
                    readonly scrollPaddingBlockStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingBlockStart | undefined;
                    readonly scrollPaddingBottom?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingBottom | undefined;
                    readonly scrollPaddingInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingInline | undefined;
                    readonly scrollPaddingInlineEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingInlineEnd | undefined;
                    readonly scrollPaddingInlineStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingInlineStart | undefined;
                    readonly scrollPaddingLeft?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingLeft | undefined;
                    readonly scrollPaddingRight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingRight | undefined;
                    readonly scrollPaddingTop?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.ScrollPaddingTop | undefined;
                    readonly scrollSnapAlign?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollSnapAlign | undefined;
                    readonly scrollSnapMargin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly scrollSnapMarginBottom?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly scrollSnapMarginLeft?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly scrollSnapMarginRight?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly scrollSnapMarginTop?: number | import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly scrollSnapStop?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollSnapStop | undefined;
                    readonly scrollSnapType?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollSnapType | undefined;
                    readonly scrollbarColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollbarColor | undefined;
                    readonly scrollbarGutter?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollbarGutter | undefined;
                    readonly scrollbarWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ScrollbarWidth | undefined;
                    readonly shapeImageThreshold?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly shapeMargin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly shapeOutside?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ShapeOutside | undefined;
                    readonly tabSize?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TabSize | undefined;
                    readonly tableLayout?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TableLayout | undefined;
                    readonly textAlign?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextAlign | undefined;
                    readonly textAlignLast?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextAlignLast | undefined;
                    readonly textCombineUpright?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextCombineUpright | undefined;
                    readonly textDecorationColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly textDecorationLine?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecorationLine | undefined;
                    readonly textDecorationSkip?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecorationSkip | undefined;
                    readonly textDecorationSkipInk?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecorationSkipInk | undefined;
                    readonly textDecorationStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecorationStyle | undefined;
                    readonly textDecorationThickness?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecorationThickness | undefined;
                    readonly textDecorationWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecorationThickness | undefined;
                    readonly textEmphasisColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | undefined;
                    readonly textEmphasisPosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyString | undefined;
                    readonly textEmphasisStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextEmphasisStyle | undefined;
                    readonly textIndent?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly textJustify?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextJustify | undefined;
                    readonly textOrientation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextOrientation | undefined;
                    readonly textOverflow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextOverflow | undefined;
                    readonly textRendering?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextRendering | undefined;
                    readonly textShadow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | import("@stitches/react/types/css").Property.TextShadow | undefined;
                    readonly textSizeAdjust?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextSizeAdjust | undefined;
                    readonly textTransform?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextTransform | undefined;
                    readonly textUnderlineOffset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextUnderlineOffset | undefined;
                    readonly textUnderlinePosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextUnderlinePosition | undefined;
                    readonly top?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.Top | undefined;
                    readonly touchAction?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TouchAction | undefined;
                    readonly transform?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Transform | undefined;
                    readonly transformBox?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TransformBox | undefined;
                    readonly transformOrigin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TransformOrigin | undefined;
                    readonly transformStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TransformStyle | undefined;
                    readonly transitionDelay?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyString | undefined;
                    readonly transitionDuration?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyString | undefined;
                    readonly transitionProperty?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TransitionProperty | undefined;
                    readonly transitionTimingFunction?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TransitionTimingFunction | undefined;
                    readonly translate?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Translate | undefined;
                    readonly unicodeBidi?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.UnicodeBidi | undefined;
                    readonly userSelect?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.UserSelect | undefined;
                    readonly verticalAlign?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.VerticalAlign | undefined;
                    readonly visibility?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Visibility | undefined;
                    readonly whiteSpace?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.WhiteSpace | undefined;
                    readonly widows?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly width?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Width | undefined;
                    readonly willChange?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.WillChange | undefined;
                    readonly wordBreak?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.WordBreak | undefined;
                    readonly wordSpacing?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.WordSpacing | undefined;
                    readonly wordWrap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.WordWrap | undefined;
                    readonly writingMode?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.WritingMode | undefined;
                    readonly zIndex?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | import("@stitches/react/types/css").Property.ZIndex | "$max" | undefined;
                    readonly zoom?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Zoom | undefined;
                    readonly all?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | undefined;
                    readonly animation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Animation | undefined;
                    readonly background?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.Background | undefined;
                    readonly backgroundPosition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BackgroundPosition | undefined;
                    readonly border?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Border | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | undefined;
                    readonly borderBlock?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderBlock | undefined;
                    readonly borderBlockEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderBlockEnd | undefined;
                    readonly borderBlockStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderBlockStart | undefined;
                    readonly borderBottom?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderBottom | undefined;
                    readonly borderColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderColor | undefined;
                    readonly borderImage?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderImage | undefined;
                    readonly borderInline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderInline | undefined;
                    readonly borderInlineEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderInlineEnd | undefined;
                    readonly borderInlineStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderInlineStart | undefined;
                    readonly borderLeft?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderLeft | undefined;
                    readonly borderRight?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderRight | undefined;
                    readonly borderStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BorderStyle | undefined;
                    readonly borderTop?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.BorderTop | undefined;
                    readonly borderWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$medium" | "$large" | "$thin" | import("@stitches/react/types/css").Property.BorderWidth | undefined;
                    readonly columnRule?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColumnRule | undefined;
                    readonly columns?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Columns | undefined;
                    readonly flex?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Flex | undefined;
                    readonly flexFlow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FlexFlow | undefined;
                    readonly font?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Font | undefined;
                    readonly gap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | import("@stitches/react/types/css").Property.Gap | undefined;
                    readonly grid?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Grid | undefined;
                    readonly gridArea?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridArea | undefined;
                    readonly gridColumn?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridColumn | undefined;
                    readonly gridRow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridRow | undefined;
                    readonly gridTemplate?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GridTemplate | undefined;
                    readonly lineClamp?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.LineClamp | undefined;
                    readonly listStyle?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ListStyle | undefined;
                    readonly margin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Margin | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly mask?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Mask | undefined;
                    readonly maskBorder?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MaskBorder | undefined;
                    readonly motion?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Offset | undefined;
                    readonly offset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Offset | undefined;
                    readonly outline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | import("@stitches/react/types/css").Property.Outline | undefined;
                    readonly overflow?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Overflow | undefined;
                    readonly overscrollBehavior?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.OverscrollBehavior | undefined;
                    readonly padding?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | "$100" | "$200" | "$300" | "$400" | "$500" | "$600" | "$700" | "$800" | "$900" | "$1000" | "$1100" | "$1200" | "$1300" | "$1400" | "$1500" | "$1600" | undefined;
                    readonly placeItems?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PlaceItems | undefined;
                    readonly placeSelf?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.PlaceSelf | undefined;
                    readonly textDecoration?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextDecoration | undefined;
                    readonly textEmphasis?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextEmphasis | undefined;
                    readonly transition?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Transition | undefined;
                    readonly alignmentBaseline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.AlignmentBaseline | undefined;
                    readonly baselineShift?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.BaselineShift | undefined;
                    readonly clip?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Clip | undefined;
                    readonly clipRule?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ClipRule | undefined;
                    readonly colorInterpolation?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColorInterpolation | undefined;
                    readonly colorRendering?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ColorRendering | undefined;
                    readonly dominantBaseline?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.DominantBaseline | undefined;
                    readonly fill?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | ("none" | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "child" | "context-fill" | "context-stroke") | undefined;
                    readonly fillOpacity?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly fillRule?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FillRule | undefined;
                    readonly floodColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.FloodColor | undefined;
                    readonly floodOpacity?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly glyphOrientationVertical?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.GlyphOrientationVertical | undefined;
                    readonly lightingColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.LightingColor | undefined;
                    readonly marker?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.Marker | undefined;
                    readonly markerEnd?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MarkerEnd | undefined;
                    readonly markerMid?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MarkerMid | undefined;
                    readonly markerStart?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.MarkerStart | undefined;
                    readonly shapeRendering?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.ShapeRendering | undefined;
                    readonly stopColor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.StopColor | undefined;
                    readonly stopOpacity?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly stroke?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | "$red40" | "$green40" | "$gray40" | "$green10" | "$green20" | "$green30" | "$green60" | "$white" | "$gray10" | "$gray20" | "$gray30" | "$gray50" | "$black" | "$red10" | "$red60" | "$yellow10" | "$yellow40" | "$yellow90" | "$blue10" | "$blue90" | ("none" | (import("@stitches/react/types/css").OnlyString | ("AliceBlue" | "AntiqueWhite" | "Aqua" | "Aquamarine" | "Azure" | "Beige" | "Bisque" | "Black" | "BlanchedAlmond" | "Blue" | "BlueViolet" | "Brown" | "BurlyWood" | "CadetBlue" | "Chartreuse" | "Chocolate" | "Coral" | "CornflowerBlue" | "Cornsilk" | "Crimson" | "Cyan" | "DarkBlue" | "DarkCyan" | "DarkGoldenRod" | "DarkGray" | "DarkGreen" | "DarkGrey" | "DarkKhaki" | "DarkMagenta" | "DarkOliveGreen" | "DarkOrange" | "DarkOrchid" | "DarkRed" | "DarkSalmon" | "DarkSeaGreen" | "DarkSlateBlue" | "DarkSlateGray" | "DarkSlateGrey" | "DarkTurquoise" | "DarkViolet" | "DeepPink" | "DeepSkyBlue" | "DimGray" | "DimGrey" | "DodgerBlue" | "FireBrick" | "FloralWhite" | "ForestGreen" | "Fuchsia" | "Gainsboro" | "GhostWhite" | "Gold" | "GoldenRod" | "Gray" | "Green" | "GreenYellow" | "Grey" | "HoneyDew" | "HotPink" | "IndianRed" | "Indigo" | "Ivory" | "Khaki" | "Lavender" | "LavenderBlush" | "LawnGreen" | "LemonChiffon" | "LightBlue" | "LightCoral" | "LightCyan" | "LightGoldenRodYellow" | "LightGray" | "LightGreen" | "LightGrey" | "LightPink" | "LightSalmon" | "LightSeaGreen" | "LightSkyBlue" | "LightSlateGray" | "LightSlateGrey" | "LightSteelBlue" | "LightYellow" | "Lime" | "LimeGreen" | "Linen" | "Magenta" | "Maroon" | "MediumAquaMarine" | "MediumBlue" | "MediumOrchid" | "MediumPurple" | "MediumSeaGreen" | "MediumSlateBlue" | "MediumSpringGreen" | "MediumTurquoise" | "MediumVioletRed" | "MidnightBlue" | "MintCream" | "MistyRose" | "Moccasin" | "NavajoWhite" | "Navy" | "OldLace" | "Olive" | "OliveDrab" | "Orange" | "OrangeRed" | "Orchid" | "PaleGoldenRod" | "PaleGreen" | "PaleTurquoise" | "PaleVioletRed" | "PapayaWhip" | "PeachPuff" | "Peru" | "Pink" | "Plum" | "PowderBlue" | "Purple" | "RebeccaPurple" | "Red" | "RosyBrown" | "RoyalBlue" | "SaddleBrown" | "Salmon" | "SandyBrown" | "SeaGreen" | "SeaShell" | "Sienna" | "Silver" | "SkyBlue" | "SlateBlue" | "SlateGray" | "SlateGrey" | "Snow" | "SpringGreen" | "SteelBlue" | "Tan" | "Teal" | "Thistle" | "Tomato" | "transparent" | "Turquoise" | "Violet" | "Wheat" | "White" | "WhiteSmoke" | "Yellow" | "YellowGreen") | ("ActiveText" | "ButtonFace" | "ButtonText" | "ButtonBorder" | "Canvas" | "CanvasText" | "Field" | "FieldText" | "GrayText" | "Highlight" | "HighlightText" | "LinkText" | "Mark" | "MarkText" | "VisitedText") | "CurrentColor" | "hsl(" | "lab(" | "rgb(") | "child" | "context-fill" | "context-stroke") | undefined;
                    readonly strokeDasharray?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.StrokeDasharray | undefined;
                    readonly strokeDashoffset?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly strokeLinecap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.StrokeLinecap | undefined;
                    readonly strokeLinejoin?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.StrokeLinejoin | undefined;
                    readonly strokeMiterlimit?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly strokeOpacity?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyNumber | undefined;
                    readonly strokeWidth?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").OnlyStringNumeric | undefined;
                    readonly textAnchor?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.TextAnchor | undefined;
                    readonly vectorEffect?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/theme").ScaleValue | import("@stitches/react/types/util").Index | import("@stitches/react/types/css").Property.VectorEffect | undefined;
                    readonly gridColumnGap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/util").Index | undefined;
                    readonly gridRowGap?: import("@stitches/react/types/css").Globals | import("@stitches/react/types/util").Index | undefined;
                };
            };
        };
    };
};
export declare function Skeleton(props: ComponentProps<typeof StyledSkeleton>): import("react/jsx-runtime").JSX.Element;
export declare const SkeletonContainer: import("@stitches/react/types/styled-component").StyledComponent<import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>, {
    readonly showSkeleton?: boolean | "true" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
/**
 * A helper component, must be used only in Storybook
 *
 * It allows us to force the display of the validation layout,
 * if it uses the skeleton structure based on classnames
 */
export declare const ForceSkeletonDisplay: import("@stitches/react/types/styled-component").StyledComponent<import("@stitches/react/types/styled-component").StyledComponent<"div", {}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>, {
    readonly showSkeleton?: boolean | "true" | undefined;
}, {
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, import("@stitches/react/types/css-util").CSS<{
    mobile: "(max-width: 32.4375em)";
    tablet: "(min-width: 32.5em)";
    touch: "(max-width: 64em)";
    desktop: "(min-width: 64.0625em)";
    prefersMotion: "(prefers-reduced-motion: no-preference)";
    hoverBased: "(hover: hover)";
    hoverNone: "(hover: none)";
}, {
    fonts: {
        main: string;
    };
    space: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
        800: string;
        900: string;
        1000: string;
        1100: string;
        1200: string;
        1300: string;
        1400: string;
        1500: string;
        1600: string;
    };
    fontSizes: {
        100: string;
        200: string;
        300: string;
        400: string;
        500: string;
        600: string;
        700: string;
    };
    fontWeights: {
        regular: number;
        medium: number;
        bold: number;
    };
    radii: {
        circle: string;
        pill: string;
        100: string;
        200: string;
        300: string;
    };
    lineHeights: {
        tight: number;
        medium: number;
        large: number;
    };
    borderWidths: {
        thin: string;
        medium: string;
        large: string;
    };
    zIndices: {
        100: string;
        200: string;
        300: string;
        400: string;
        max: string;
    };
    shadows: {
        red40: string;
        green40: string;
        gray40: string;
    };
    colors: {
        green10: string;
        green20: string;
        green30: string;
        green40: string;
        green60: string;
        white: string;
        gray10: string;
        gray20: string;
        gray30: string;
        gray40: string;
        gray50: string;
        black: string;
        red10: string;
        red40: string;
        red60: string;
        yellow10: string;
        yellow40: string;
        yellow90: string;
        blue10: string;
        blue90: string;
    };
}, import("@stitches/react/types/config").DefaultThemeMap, {}>>;
